Bug 785375 - [abrt] kernel: WARNING: at drivers/gpu/drm/radeon/radeon_gart.c:187 radeon_gart_bind+0x1b4/0x1c0 [radeon]()
Summary: [abrt] kernel: WARNING: at drivers/gpu/drm/radeon/radeon_gart.c:187 radeon_ga...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: 17
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jérôme Glisse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:d97fa67fb771fe697ae130316a7...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-28 12:12 UTC by mailboost
Modified: 2012-12-20 15:52 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 784544
Environment:
Last Closed: 2012-12-20 15:51:59 UTC
Type: ---


Attachments (Terms of Use)
part of /var/log/messages (136.10 KB, application/vnd.oasis.opendocument.text)
2012-02-16 11:25 UTC, mailboost
no flags Details
Dmesg output of working kernel-3.1.9 (63.14 KB, text/plain)
2012-02-24 10:12 UTC, mailboost
no flags Details
Full dmesg of kernel 3.2.10-3 (124.02 KB, text/plain)
2012-03-19 16:01 UTC, mailboost
no flags Details
/var/log/messages (upgrading kernel to the new buggy one then booting it) (1.46 MB, text/plain)
2012-03-22 11:45 UTC, mailboost
no flags Details
/var/log/messages (5.25 MB, application/octet-stream)
2012-04-21 12:21 UTC, mailboost
no flags Details
F17 beta live cd /var/log/messages (457.74 KB, application/octet-stream)
2012-05-09 11:27 UTC, mailboost
no flags Details
Ubuntu 12.04 dmesg (54.62 KB, text/plain)
2012-05-15 09:51 UTC, mailboost
no flags Details
Force dma32 (1013 bytes, patch)
2012-08-09 15:26 UTC, Jérôme Glisse
no flags Details | Diff
Kernel compiled with proposed patch (20.28 MB, audio/x-rpm)
2012-08-28 18:24 UTC, mailboost
no flags Details

Description mailboost 2012-01-28 12:12:47 UTC
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/boot/vmlinuz-3.2.1-3.fc16.x86_64 root=UUID=88dadb78-a055-44ac-b918-986fe828b258 ro quiet rhgb SYSFONT=latarcyrheb-sun16 LANG=en_US.UTF-8 KEYTABLE=it
comment:        Same bug in kernel 3.2.1 64bit
kernel:         3.2.1-3.fc16.x86_64
reason:         WARNING: at drivers/gpu/drm/radeon/radeon_gart.c:187 radeon_gart_bind+0x1b4/0x1c0 [radeon]()
time:           gio 26 gen 2012 17:59:17 CET

backtrace:
:WARNING: at drivers/gpu/drm/radeon/radeon_gart.c:187 radeon_gart_bind+0x1b4/0x1c0 [radeon]()
:Hardware name: Aspire M5100
:trying to bind memory to uninitialized GART !
:Modules linked in: ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 nf_conntrack_ipv4 nf_defrag_ipv4 xt_state ip6table_filter nf_conntrack ip6_tables snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep gspca_sn9c20x gspca_main videodev snd_seq snd_seq_device snd_pcm media v4l2_compat_ioctl32 snd_timer snd edac_core soundcore snd_page_alloc sp5100_tco edac_mce_amd i2c_piix4 serio_raw uinput k8temp shpchp sky2 firewire_ohci firewire_core pata_acpi ata_generic crc_itu_t pata_atiixp radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
:Pid: 214, comm: plymouthd Tainted: G        W    3.2.1-3.fc16.x86_64 #1
:Call Trace:
: [<ffffffff8106dc8f>] warn_slowpath_common+0x7f/0xc0
: [<ffffffff8106dd86>] warn_slowpath_fmt+0x46/0x50
: [<ffffffffa006dc79>] ? ttm_mem_global_alloc_page+0x49/0x50 [ttm]
: [<ffffffffa00aefa4>] radeon_gart_bind+0x1b4/0x1c0 [radeon]
: [<ffffffffa00ac825>] radeon_ttm_backend_bind+0x35/0xb0 [radeon]
: [<ffffffffa006e510>] ttm_tt_bind+0x50/0x80 [ttm]
: [<ffffffffa00701c7>] ttm_bo_handle_move_mem+0x347/0x3c0 [ttm]
: [<ffffffffa0071202>] ttm_bo_move_buffer+0x132/0x140 [ttm]
: [<ffffffffa0027a0f>] ? drm_mm_insert_helper+0x11f/0x130 [drm]
: [<ffffffffa00712a4>] ttm_bo_validate+0x94/0x110 [ttm]
: [<ffffffffa0071626>] ttm_bo_init+0x306/0x380 [ttm]
: [<ffffffffa00adc46>] radeon_bo_create+0x176/0x2a0 [radeon]
: [<ffffffffa00ad970>] ? radeon_create_ttm_backend_entry+0x40/0x40 [radeon]
: [<ffffffff81054aca>] ? account_entity_dequeue+0x8a/0xb0
: [<ffffffffa00be23a>] radeon_gem_object_create+0x5a/0xf0 [radeon]
: [<ffffffffa00be578>] radeon_gem_create_ioctl+0x58/0xd0 [radeon]
: [<ffffffffa001c454>] drm_ioctl+0x444/0x510 [drm]
: [<ffffffffa00be520>] ? radeon_gem_pwrite_ioctl+0x30/0x30 [radeon]
: [<ffffffff812659b0>] ? inode_has_perm+0x30/0x40
: [<ffffffff81268dac>] ? file_has_perm+0xdc/0xf0
: [<ffffffff8118a438>] do_vfs_ioctl+0x98/0x550
: [<ffffffff8118a981>] sys_ioctl+0x91/0xa0
: [<ffffffff815e1fbe>] ? do_device_not_available+0xe/0x10
: [<ffffffff815e8f02>] system_call_fastpath+0x16/0x1b

smolt_data:
:
:
:Generale
:=================================
:UUID: 3820bdaa-2ddf-4044-933d-f15d93804421
:OS: Fedora release 16 (Verne)
:Run level predefinito: Unknown
:Linguaggio: it_IT.utf8
:Piattaforma: x86_64
:BogoMIPS: 5985.11
:Venditore CPU: AuthenticAMD
:Modello CPU: AMD Athlon(tm) 64 X2 Dual Core Processor 6000+
:CPU Stepping: 3
:Famiglia della CPU: 15
:Numero modello CPU: 67
:Numero di CPU: 2
:Velocità CPU: 3000
:Memoria di sistema: 3704
:Swap di sistema: 1158
:Venditore: Acer
:Sistema: Aspire M5100 R01-A1
:Form factor: Desktop
:Kernel: 3.2.2-1.fc16.x86_64
:SELinux abilitato: 1
:Politica di SELinux: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Dispositivi
:=================================
:(4098:30999:4187:3594) pci, pcieport, PCI/PCI, RS690 PCI to PCI Bridge (PCI Express Port 3)
:(4098:17289:4187:3594) pci, ohci_hcd, USB, SB600 USB (OHCI2)
:(4098:30992:4187:3594) pci, None, HOST/PCI, RS690 Host Bridge
:(4098:17287:4187:3594) pci, ohci_hcd, USB, SB600 USB (OHCI0)
:(4098:30994:4187:3594) pci, None, PCI/PCI, RS690 PCI to PCI Bridge (Internal gfx)
:(4523:17252:4187:3594) pci, sky2, ETHERNET, 88E8056 PCI-E Gigabit Ethernet Controller
:(4130:4352:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] HyperTransport Technology Configuration
:(4130:4355:0:0) pci, k8temp, HOST/PCI, K8 [Athlon64/Opteron] Miscellaneous Control
:(4130:4354:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] DRAM Controller
:(4130:4353:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] Address Map
:(4098:17280:4187:3594) pci, ahci, STORAGE, SB600 Non-Raid-5 SATA
:(4098:17292:4187:3594) pci, pata_atiixp, STORAGE, SB600 IDE
:(4098:17285:4187:3594) pci, piix4_smbus, SERIAL, SBx00 SMBus Controller
:(4098:17293:4187:3594) pci, None, PCI/ISA, SB600 PCI to LPC Bridge
:(4098:17283:4187:3594) pci, snd_hda_intel, MULTIMEDIA, SBx00 Azalia (Intel HDA)
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(4172:32804:4187:3594) pci, firewire_ohci, FIREWIRE, TSB43AB23 IEEE-1394a-2000 Controller (PHY/Link)
:(4098:31006:4187:3594) pci, radeon, VIDEO, RS690 [Radeon X1200 Series]
:(4098:17290:4187:3594) pci, ohci_hcd, USB, SB600 USB (OHCI3)
:(4098:31001:4187:3594) pci, snd_hda_intel, MULTIMEDIA, Radeon X1200 Series Audio Controller
:(4098:17288:4187:3594) pci, ohci_hcd, USB, SB600 USB (OHCI1)
:(4098:17291:4187:3594) pci, ohci_hcd, USB, SB600 USB (OHCI4)
:(4098:17286:4187:3594) pci, ehci_hcd, USB, SB600 USB Controller (EHCI)
:
:
:Informazioni sul filesystem
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda2 / ext4 4096 4096 3925934 228147 188839 983040 851881 851881
:

Comment 1 mailboost 2012-01-28 12:20:08 UTC
Still present in kernel 3.2.2-1.fc16.x86_64
It causes Gnome 3.0 to start in fallback mode

Comment 2 mailboost 2012-01-28 12:51:28 UTC
Jan 28 13:22:10 M5100 systemd-logind[802]: Removed session 2.
Jan 28 13:22:11 M5100 kernel: Kernel logging (proc) stopped.
Jan 28 13:22:11 M5100 rsyslogd: [origin software="rsyslogd" swVersion="5.8.7" x-pid="844" x-info="http://www.rsyslog.com"] exiting on signal 15.
Jan 28 13:23:31 M5100 kernel: imklog 5.8.7, log source = /proc/kmsg started.
Jan 28 13:23:31 M5100 rsyslogd: [origin software="rsyslogd" swVersion="5.8.7" x-pid="871" x-info="http://www.rsyslog.com"] start
Jan 28 13:23:31 M5100 kernel: 50 [ttm]
Jan 28 13:23:31 M5100 kernel: [   24.207885]  [<ffffffffa00aef94>] radeon_gart_bind+0x1b4/0x1c0 [radeon]
Jan 28 13:23:31 M5100 kernel: [   24.207896]  [<ffffffffa00ac815>] radeon_ttm_backend_bind+0x35/0xb0 [radeon]
Jan 28 13:23:31 M5100 kernel: [   24.207900]  [<ffffffffa006e510>] ttm_tt_bind+0x50/0x80 [ttm]
Jan 28 13:23:31 M5100 kernel: [   24.207905]  [<ffffffffa00701c7>] ttm_bo_handle_move_mem+0x347/0x3c0 [ttm]
Jan 28 13:23:31 M5100 kernel: [   24.207909]  [<ffffffffa0071202>] ttm_bo_move_buffer+0x132/0x140 [ttm]
Jan 28 13:23:31 M5100 kernel: [   24.207924]  [<ffffffffa0027a0f>] ? drm_mm_insert_helper+0x11f/0x130 [drm]
Jan 28 13:23:31 M5100 kernel: [   24.207928]  [<ffffffffa00712a4>] ttm_bo_validate+0x94/0x110 [ttm]
Jan 28 13:23:31 M5100 kernel: [   24.207932]  [<ffffffffa0071626>] ttm_bo_init+0x306/0x380 [ttm]
Jan 28 13:23:31 M5100 kernel: [   24.207944]  [<ffffffffa00adc36>] radeon_bo_create+0x176/0x2a0 [radeon]
Jan 28 13:23:31 M5100 kernel: [   24.207954]  [<ffffffffa00ad960>] ? radeon_create_ttm_backend_entry+0x40/0x40 [radeon]
Jan 28 13:23:31 M5100 kernel: [   24.207968]  [<ffffffffa00be22a>] radeon_gem_object_create+0x5a/0xf0 [radeon]
Jan 28 13:23:31 M5100 kernel: [   24.207980]  [<ffffffffa00be568>] radeon_gem_create_ioctl+0x58/0xd0 [radeon]
Jan 28 13:23:31 M5100 kernel: [   24.207987]  [<ffffffffa001c454>] drm_ioctl+0x444/0x510 [drm]
Jan 28 13:23:31 M5100 kernel: [   24.208000]  [<ffffffffa00be510>] ? radeon_gem_pwrite_ioctl+0x30/0x30 [radeon]
Jan 28 13:23:31 M5100 kernel: [   24.208017]  [<ffffffff81265dd0>] ? inode_has_perm+0x30/0x40
Jan 28 13:23:31 M5100 kernel: [   24.208020]  [<ffffffff812691cc>] ? file_has_perm+0xdc/0xf0
Jan 28 13:23:31 M5100 kernel: [   24.208024]  [<ffffffff8118a7c8>] do_vfs_ioctl+0x98/0x550
Jan 28 13:23:31 M5100 kernel: [   24.208027]  [<ffffffff8118ad11>] sys_ioctl+0x91/0xa0
Jan 28 13:23:31 M5100 kernel: [   24.208031]  [<ffffffff815e97c2>] system_call_fastpath+0x16/0x1b
Jan 28 13:23:31 M5100 kernel: [   24.208033] ---[ end trace 006d655f4a75a3b7 ]---
Jan 28 13:23:31 M5100 kernel: [   24.208035] [drm:radeon_ttm_backend_bind] *ERROR* failed to bind 2025 pages at 0x00000000
Jan 28 13:23:31 M5100 kernel: [   24.214538] radeon 0000:01:05.0: object_init failed for (8294400, 0x00000002)
Jan 28 13:23:31 M5100 kernel: [   24.220594] [drm:radeon_gem_object_create] *ERROR* Failed to allocate GEM object (8294400, 2, 4096, -22)

Comment 3 mailboost 2012-01-31 10:36:31 UTC
Are you sure it's a xorg-x11-drv-ati bug? I think it's a kernel related bug. The same xorg-x11-drv-ati-6.14.3-3.20111125git534fb6e41.fc16-x86_64.rpm works fine with kernel 3.1.9 while if I boot the latest kernel (3.2.2) I get this error and gnome starts in fallback mode.

Comment 4 Josh Boyer 2012-01-31 14:14:33 UTC
(In reply to comment #3)
> Are you sure it's a xorg-x11-drv-ati bug? I think it's a kernel related bug.
> The same xorg-x11-drv-ati-6.14.3-3.20111125git534fb6e41.fc16-x86_64.rpm works
> fine with kernel 3.1.9 while if I boot the latest kernel (3.2.2) I get this
> error and gnome starts in fallback mode.

The people that work on the kernel and Xorg drivers are the same and prefer bugs to be filed against the xorg-x11-drv-* bugzilla components so they don't get lost in the sea of kernel bugs.

https://fedoraproject.org/wiki/KernelBugTriage#Video_Subsystem_bugs

Comment 5 mailboost 2012-02-06 10:33:24 UTC
Still present in kernel-3.2.3-2.fc16.x86_64

Comment 6 mailboost 2012-02-06 10:35:59 UTC
Here's the backtrace of the new kernel:

WARNING: at drivers/gpu/drm/radeon/radeon_gart.c:187 radeon_gart_bind+0x1b4/0x1c0 [radeon]()
Hardware name: Aspire M5100
trying to bind memory to uninitialized GART !
Modules linked in: snd_hda_codec_hdmi rndis_wlan snd_hda_codec_realtek snd_hda_intel snd_hda_codec cfg80211 rfkill gspca_sn9c20x gspca_main rndis_host cdc_ether snd_hwdep snd_seq snd_seq_device snd_pcm videodev media v4l2_compat_ioctl32 snd_timer shpchp usbnet uinput sp5100_tco i2c_piix4 snd soundcore edac_core snd_page_alloc sky2 mii edac_mce_amd serio_raw cdc_acm k8temp firewire_ohci pata_acpi firewire_core ata_generic crc_itu_t pata_atiixp radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
Pid: 791, comm: plymouthd Tainted: G        W    3.2.3-2.fc16.x86_64 #1
Call Trace:
 [<ffffffff8106dd4f>] warn_slowpath_common+0x7f/0xc0
 [<ffffffff8106de46>] warn_slowpath_fmt+0x46/0x50
 [<ffffffffa00aef94>] radeon_gart_bind+0x1b4/0x1c0 [radeon]
 [<ffffffffa006e485>] ? ttm_tt_populate+0x85/0xc0 [ttm]
 [<ffffffffa00ac815>] radeon_ttm_backend_bind+0x35/0xb0 [radeon]
 [<ffffffffa006e510>] ttm_tt_bind+0x50/0x80 [ttm]
 [<ffffffffa00701c7>] ttm_bo_handle_move_mem+0x347/0x3c0 [ttm]
 [<ffffffffa0071202>] ttm_bo_move_buffer+0x132/0x140 [ttm]
 [<ffffffffa0027a3f>] ? drm_mm_insert_helper+0x11f/0x130 [drm]
 [<ffffffffa00712a4>] ttm_bo_validate+0x94/0x110 [ttm]
 [<ffffffffa0071626>] ttm_bo_init+0x306/0x380 [ttm]
 [<ffffffffa00adc36>] radeon_bo_create+0x176/0x2a0 [radeon]
 [<ffffffffa00ad960>] ? radeon_create_ttm_backend_entry+0x40/0x40 [radeon]
 [<ffffffff8105be61>] ? update_cfs_shares+0xd1/0x110
 [<ffffffffa00be22a>] radeon_gem_object_create+0x5a/0xf0 [radeon]
 [<ffffffff810592aa>] ? finish_task_switch+0x4a/0xe0
 [<ffffffffa00be568>] radeon_gem_create_ioctl+0x58/0xd0 [radeon]
 [<ffffffffa001c474>] drm_ioctl+0x444/0x510 [drm]
 [<ffffffffa00be510>] ? radeon_gem_pwrite_ioctl+0x30/0x30 [radeon]
 [<ffffffff81265de0>] ? inode_has_perm+0x30/0x40
 [<ffffffff812691dc>] ? file_has_perm+0xdc/0xf0
 [<ffffffff8118a7f8>] do_vfs_ioctl+0x98/0x550
 [<ffffffff8118ad41>] sys_ioctl+0x91/0xa0
 [<ffffffff815e9782>] system_call_fastpath+0x16/0x1b

Comment 7 mailboost 2012-02-11 19:22:51 UTC
Still present in the new shiny kernel-3.2.5-3.fc16.x86_64

Comment 8 mailboost 2012-02-16 10:00:52 UTC
Still present in kernel-3.2.6-3.fc16.x86_64. Any idea how to solve this annoying bug?

Here's the backtrace from dmesg:

[   49.050520] ------------[ cut here ]------------
[   49.050575] WARNING: at drivers/gpu/drm/radeon/radeon_gart.c:187 radeon_gart_bind+0x1b4/0x1c0 [radeon]()
[   49.050578] Hardware name: Aspire M5100
[   49.050580] trying to bind memory to uninitialized GART !
[   49.050582] Modules linked in: snd_hda_codec_hdmi be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 mdio ib_iser rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi 8021q fcoe libfcoe garp stp llc libfc scsi_transport_fc scsi_tgt arc4 rt73usb snd_hda_codec_realtek rt2x00usb rt2x00lib snd_hda_intel gspca_sn9c20x gspca_main snd_hda_codec mac80211 snd_hwdep videodev snd_seq snd_seq_device snd_pcm cfg80211 rfkill snd_timer media v4l2_compat_ioctl32 snd edac_core uinput sp5100_tco soundcore i2c_piix4 snd_page_alloc sky2 shpchp edac_mce_amd serio_raw k8temp firewire_ohci firewire_core pata_acpi ata_generic crc_itu_t pata_atiixp radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
[   49.050630] Pid: 661, comm: plymouthd Tainted: G        W    3.2.6-3.fc16.x86_64 #1
[   49.050633] Call Trace:
[   49.050644]  [<ffffffff8106dd4f>] warn_slowpath_common+0x7f/0xc0
[   49.050649]  [<ffffffff8106de46>] warn_slowpath_fmt+0x46/0x50
[   49.050660]  [<ffffffffa006dc79>] ? ttm_mem_global_alloc_page+0x49/0x50 [ttm]
[   49.050678]  [<ffffffffa00aef94>] radeon_gart_bind+0x1b4/0x1c0 [radeon]
[   49.050695]  [<ffffffffa00ac815>] radeon_ttm_backend_bind+0x35/0xb0 [radeon]
[   49.050703]  [<ffffffffa006e510>] ttm_tt_bind+0x50/0x80 [ttm]
[   49.050711]  [<ffffffffa00701c7>] ttm_bo_handle_move_mem+0x347/0x3c0 [ttm]
[   49.050719]  [<ffffffffa0071202>] ttm_bo_move_buffer+0x132/0x140 [ttm]
[   49.050741]  [<ffffffffa0027a3f>] ? drm_mm_insert_helper+0x11f/0x130 [drm]
[   49.050749]  [<ffffffffa00712a4>] ttm_bo_validate+0x94/0x110 [ttm]
[   49.050756]  [<ffffffffa0071626>] ttm_bo_init+0x306/0x380 [ttm]
[   49.050774]  [<ffffffffa00adc36>] radeon_bo_create+0x176/0x2a0 [radeon]
[   49.050791]  [<ffffffffa00ad960>] ? radeon_create_ttm_backend_entry+0x40/0x40 [radeon]
[   49.050811]  [<ffffffffa00be22a>] radeon_gem_object_create+0x5a/0xf0 [radeon]
[   49.050831]  [<ffffffffa00be568>] radeon_gem_create_ioctl+0x58/0xd0 [radeon]
[   49.050842]  [<ffffffffa001c474>] drm_ioctl+0x444/0x510 [drm]
[   49.050862]  [<ffffffffa00be510>] ? radeon_gem_pwrite_ioctl+0x30/0x30 [radeon]
[   49.050868]  [<ffffffff81265eb0>] ? inode_has_perm+0x30/0x40
[   49.050873]  [<ffffffff812692ac>] ? file_has_perm+0xdc/0xf0
[   49.050879]  [<ffffffff8118a8d8>] do_vfs_ioctl+0x98/0x550
[   49.050883]  [<ffffffff8118ae21>] sys_ioctl+0x91/0xa0
[   49.050887]  [<ffffffff815e297e>] ? do_device_not_available+0xe/0x10
[   49.050892]  [<ffffffff815e9982>] system_call_fastpath+0x16/0x1b
[   49.050895] ---[ end trace 77568038e5ae6bf9 ]---
[   49.050899] [drm:radeon_ttm_backend_bind] *ERROR* failed to bind 2025 pages at 0x00000000
[   49.057141] radeon 0000:01:05.0: object_init failed for (8294400, 0x00000002)
[   49.061867] [drm:radeon_gem_object_create] *ERROR* Failed to allocate GEM object (8294400, 2, 4096, -22)

Comment 9 Dave Airlie 2012-02-16 10:17:50 UTC
can you pastebin the full dmesg?

does your BIOS have an option to change how much RAM is given to the video card?

Comment 10 mailboost 2012-02-16 11:25:14 UTC
Created attachment 562470 [details]
part of /var/log/messages

This is the log you requested

Comment 11 mailboost 2012-02-16 11:28:45 UTC
Yes, my bios have an UMA option. I changed from auto (256mb) to 128mb but the bug still remains.
I had to attach /var/log/messages because dmesg output is too short (it starts from the backtrace).

Comment 12 mailboost 2012-02-23 09:33:21 UTC
Still present in kernel-3.2.7-1.fc16.x86_64.
I tried to change the UMA to 32, 64, 128 and 256 but the issue remains so it's not a bios related problem.
I'm still using kernel 3.1.9 which works fine. It seems that 3.2 series had an issue on ati driver maybe related to the 'code cleanup' I've read somewhere in the 3.1->3.2 changelog.

Here's the trace from dmesg:

[   94.070484] [drm:radeon_ttm_backend_bind] *ERROR* failed to bind 2025 pages at 0x00000000
[   94.076132] radeon 0000:01:05.0: object_init failed for (8294400, 0x00000002)
[   94.080722] [drm:radeon_gem_object_create] *ERROR* Failed to allocate GEM object (8294400, 2, 4096, -22)
[   94.115642] ------------[ cut here ]------------
[   94.115706] WARNING: at drivers/gpu/drm/radeon/radeon_gart.c:187 radeon_gart_bind+0x1b4/0x1c0 [radeon]()
[   94.115712] Hardware name: Aspire M5100
[   94.115714] trying to bind memory to uninitialized GART !
[   94.115716] Modules linked in: be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 mdio ib_iser rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi 8021q fcoe libfcoe libfc scsi_transport_fc scsi_tgt garp stp llc snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_intel arc4 snd_hda_codec snd_hwdep rt73usb rt2x00usb rt2x00lib snd_seq snd_seq_device mac80211 gspca_sn9c20x snd_pcm gspca_main snd_timer cfg80211 snd rfkill sky2 shpchp sp5100_tco i2c_piix4 videodev media v4l2_compat_ioctl32 soundcore snd_page_alloc serio_raw uinput k8temp edac_core edac_mce_amd firewire_ohci pata_acpi ata_generic firewire_core crc_itu_t pata_atiixp radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
[   94.115758] Pid: 792, comm: plymouthd Tainted: G        W    3.2.7-1.fc16.x86_64 #1
[   94.115760] Call Trace:
[   94.115770]  [<ffffffff8106dd4f>] warn_slowpath_common+0x7f/0xc0
[   94.115774]  [<ffffffff8106de46>] warn_slowpath_fmt+0x46/0x50
[   94.115784]  [<ffffffffa006dc79>] ? ttm_mem_global_alloc_page+0x49/0x50 [ttm]
[   94.115799]  [<ffffffffa00aef94>] radeon_gart_bind+0x1b4/0x1c0 [radeon]
[   94.115814]  [<ffffffffa00ac815>] radeon_ttm_backend_bind+0x35/0xb0 [radeon]
[   94.115820]  [<ffffffffa006e510>] ttm_tt_bind+0x50/0x80 [ttm]
[   94.115827]  [<ffffffffa00701c7>] ttm_bo_handle_move_mem+0x347/0x3c0 [ttm]
[   94.115833]  [<ffffffffa0071202>] ttm_bo_move_buffer+0x132/0x140 [ttm]
[   94.115854]  [<ffffffffa0027a3f>] ? drm_mm_insert_helper+0x11f/0x130 [drm]
[   94.115861]  [<ffffffffa00712a4>] ttm_bo_validate+0x94/0x110 [ttm]
[   94.115867]  [<ffffffffa0071626>] ttm_bo_init+0x306/0x380 [ttm]
[   94.115882]  [<ffffffffa00adc36>] radeon_bo_create+0x176/0x2a0 [radeon]
[   94.115896]  [<ffffffffa00ad960>] ? radeon_create_ttm_backend_entry+0x40/0x40 [radeon]
[   94.115914]  [<ffffffffa00be22a>] radeon_gem_object_create+0x5a/0xf0 [radeon]
[   94.115930]  [<ffffffffa00be568>] radeon_gem_create_ioctl+0x58/0xd0 [radeon]
[   94.115939]  [<ffffffffa001c474>] drm_ioctl+0x444/0x510 [drm]
[   94.115956]  [<ffffffffa00be510>] ? radeon_gem_pwrite_ioctl+0x30/0x30 [radeon]
[   94.115961]  [<ffffffff812662b0>] ? inode_has_perm+0x30/0x40
[   94.115966]  [<ffffffff812696ac>] ? file_has_perm+0xdc/0xf0
[   94.115970]  [<ffffffff8118ab58>] do_vfs_ioctl+0x98/0x550
[   94.115974]  [<ffffffff8118b0a1>] sys_ioctl+0x91/0xa0
[   94.115979]  [<ffffffff815e9d82>] system_call_fastpath+0x16/0x1b
[   94.115981] ---[ end trace 7e41525086310324 ]---
[   94.115985] [drm:radeon_ttm_backend_bind] *ERROR* failed to bind 2025 pages at 0x00000000
[   94.122081] radeon 0000:01:05.0: object_init failed for (8294400, 0x00000002)
[   94.126690] [drm:radeon_gem_object_create] *ERROR* Failed to allocate GEM object (8294400, 2, 4096, -22)

Comment 13 mailboost 2012-02-24 10:12:46 UTC
Created attachment 565554 [details]
Dmesg output of working kernel-3.1.9

The dmesg.txt file contains the dmesg output of the working kernel-3.1.9 
Maybe this can help investigating the issue.

Comment 14 mailboost 2012-03-07 10:39:53 UTC
Still present in kernel-3.2.9-1.fc16.x86_64. 
Plymouth refuses to start and Gnome 3 starts in fallback mode

Here's the trace from dmesg:

[drm:radeon_ttm_backend_bind] *ERROR* failed to bind 2025 pages at 0x00000000
[   51.025537] radeon 0000:01:05.0: object_init failed for (8294400, 0x00000002)
[   51.031956] [drm:radeon_gem_object_create] *ERROR* Failed to allocate GEM object (8294400, 2, 4096, -22)
[   51.051631] ------------[ cut here ]------------
[   51.051688] WARNING: at drivers/gpu/drm/radeon/radeon_gart.c:187 radeon_gart_bind+0x1b4/0x1c0 [radeon]()
[   51.051691] Hardware name: Aspire M5100
[   51.051692] trying to bind memory to uninitialized GART !
[   51.051694] Modules linked in: be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 mdio ib_iser rdma_cm ib_cm fcoe 8021q iw_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi garp stp llc libfcoe libfc scsi_transport_fc scsi_tgt snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm arc4 snd_timer gspca_sn9c20x gspca_main snd videodev rt73usb rt2x00usb rt2x00lib sky2 k8temp mac80211 soundcore cfg80211 sp5100_tco snd_page_alloc rfkill shpchp edac_core uinput media v4l2_compat_ioctl32 i2c_piix4 edac_mce_amd serio_raw firewire_ohci firewire_core pata_acpi ata_generic crc_itu_t pata_atiixp radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
[   51.051738] Pid: 217, comm: plymouthd Tainted: G        W    3.2.9-1.fc16.x86_64 #1
[   51.051741] Call Trace:
[   51.051752]  [<ffffffff8106e53f>] warn_slowpath_common+0x7f/0xc0
[   51.051756]  [<ffffffff8106e636>] warn_slowpath_fmt+0x46/0x50
[   51.051766]  [<ffffffffa006dc79>] ? ttm_mem_global_alloc_page+0x49/0x50 [ttm]
[   51.051782]  [<ffffffffa00aef94>] radeon_gart_bind+0x1b4/0x1c0 [radeon]
[   51.051797]  [<ffffffffa00ac815>] radeon_ttm_backend_bind+0x35/0xb0 [radeon]
[   51.051805]  [<ffffffffa006e510>] ttm_tt_bind+0x50/0x80 [ttm]
[   51.051811]  [<ffffffffa00701c7>] ttm_bo_handle_move_mem+0x347/0x3c0 [ttm]
[   51.051819]  [<ffffffffa0071202>] ttm_bo_move_buffer+0x132/0x140 [ttm]
[   51.051842]  [<ffffffffa0027a3f>] ? drm_mm_insert_helper+0x11f/0x130 [drm]
[   51.051850]  [<ffffffffa00712a4>] ttm_bo_validate+0x94/0x110 [ttm]
[   51.051856]  [<ffffffffa0071626>] ttm_bo_init+0x306/0x380 [ttm]
[   51.051873]  [<ffffffffa00adc36>] radeon_bo_create+0x176/0x2a0 [radeon]
[   51.051889]  [<ffffffffa00ad960>] ? radeon_create_ttm_backend_entry+0x40/0x40 [radeon]
[   51.051908]  [<ffffffffa00be22a>] radeon_gem_object_create+0x5a/0xf0 [radeon]
[   51.051925]  [<ffffffffa00be568>] radeon_gem_create_ioctl+0x58/0xd0 [radeon]
[   51.051936]  [<ffffffffa001c474>] drm_ioctl+0x444/0x510 [drm]
[   51.051954]  [<ffffffffa00be510>] ? radeon_gem_pwrite_ioctl+0x30/0x30 [radeon]
[   51.051960]  [<ffffffff81266bd0>] ? inode_has_perm+0x30/0x40
[   51.051964]  [<ffffffff81269fcc>] ? file_has_perm+0xdc/0xf0
[   51.051969]  [<ffffffff8118b3c8>] do_vfs_ioctl+0x98/0x550
[   51.051973]  [<ffffffff8118b911>] sys_ioctl+0x91/0xa0
[   51.051978]  [<ffffffff815eaac2>] system_call_fastpath+0x16/0x1b
[   51.051981] ---[ end trace d8843286782912ac ]---
[   51.051984] [drm:radeon_ttm_backend_bind] *ERROR* failed to bind 2025 pages at 0x00000000
[   51.058833] radeon 0000:01:05.0: object_init failed for (8294400, 0x00000002)
[   51.065245] [drm:radeon_gem_object_create] *ERROR* Failed to allocate GEM object (8294400, 2, 4096, -22)
[   51.085637] ------------[ cut here ]------------

Comment 15 mailboost 2012-03-11 23:40:29 UTC
Still present in kernel 3.2.9-2.fc16.x86_64. Due to this Plymouth refuses to start and Gnome 3 starts in fallback mode.

This bug is present also in the Fedora 17 alpha (kernel 3.3.0) BUT in that release while Plymouth refuses to start Gnome 3 starts in normal mode (no more fallback mode). Please mark it as a F17 bug too.

To notice that ABRT doesn't catch anymore the bug (F16 and F17) so I had to manually cut and paste from dmesg. Shuold it be considered an ABRT bug? 

Here's the trace:

------------[ cut here ]------------
[   34.969247] WARNING: at drivers/gpu/drm/radeon/radeon_gart.c:187 radeon_gart_bind+0x1b4/0x1c0 [radeon]()
[   34.969249] Hardware name: Aspire M5100
[   34.969250] trying to bind memory to uninitialized GART !
[   34.969252] Modules linked in: be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 mdio ib_iser rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core ib_addr fcoe iscsi_tcp libiscsi_tcp libiscsi 8021q libfcoe scsi_transport_iscsi garp stp llc libfc scsi_transport_fc scsi_tgt snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm arc4 snd_timer gspca_sn9c20x gspca_main videodev snd media rt73usb rt2x00usb rt2x00lib v4l2_compat_ioctl32 mac80211 cfg80211 soundcore edac_core rfkill sp5100_tco snd_page_alloc sky2 edac_mce_amd shpchp i2c_piix4 k8temp uinput serio_raw firewire_ohci firewire_core pata_acpi ata_generic crc_itu_t pata_atiixp radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
[   34.969286] Pid: 779, comm: plymouthd Tainted: G        W    3.2.9-2.fc16.x86_64 #1
[   34.969288] Call Trace:
[   34.969297]  [<ffffffff8106e72f>] warn_slowpath_common+0x7f/0xc0
[   34.969301]  [<ffffffff8106e826>] warn_slowpath_fmt+0x46/0x50
[   34.969309]  [<ffffffffa006dc79>] ? ttm_mem_global_alloc_page+0x49/0x50 [ttm]
[   34.969321]  [<ffffffffa00aef94>] radeon_gart_bind+0x1b4/0x1c0 [radeon]
[   34.969332]  [<ffffffffa00ac815>] radeon_ttm_backend_bind+0x35/0xb0 [radeon]
[   34.969338]  [<ffffffffa006e510>] ttm_tt_bind+0x50/0x80 [ttm]
[   34.969343]  [<ffffffffa00701c7>] ttm_bo_handle_move_mem+0x347/0x3c0 [ttm]
[   34.969349]  [<ffffffffa0071202>] ttm_bo_move_buffer+0x132/0x140 [ttm]
[   34.969368]  [<ffffffffa0027a6f>] ? drm_mm_insert_helper+0x11f/0x130 [drm]
[   34.969373]  [<ffffffffa00712a4>] ttm_bo_validate+0x94/0x110 [ttm]
[   34.969378]  [<ffffffffa0071626>] ttm_bo_init+0x306/0x380 [ttm]
[   34.969391]  [<ffffffffa00adc36>] radeon_bo_create+0x176/0x2a0 [radeon]
[   34.969402]  [<ffffffffa00ad960>] ? radeon_create_ttm_backend_entry+0x40/0x40 [radeon]
[   34.969416]  [<ffffffffa00be22a>] radeon_gem_object_create+0x5a/0xf0 [radeon]
[   34.969429]  [<ffffffffa00be568>] radeon_gem_create_ioctl+0x58/0xd0 [radeon]
[   34.969437]  [<ffffffffa001c474>] drm_ioctl+0x444/0x510 [drm]
[   34.969451]  [<ffffffffa00be510>] ? radeon_gem_pwrite_ioctl+0x30/0x30 [radeon]
[   34.969455]  [<ffffffff812683e0>] ? inode_has_perm+0x30/0x40
[   34.969457]  [<ffffffff8126b7dc>] ? file_has_perm+0xdc/0xf0
[   34.969461]  [<ffffffff8118cb18>] do_vfs_ioctl+0x98/0x550
[   34.969464]  [<ffffffff8118d061>] sys_ioctl+0x91/0xa0
[   34.969467]  [<ffffffff815e567e>] ? do_device_not_available+0xe/0x10
[   34.969470]  [<ffffffff815ec682>] system_call_fastpath+0x16/0x1b
[   34.969472] ---[ end trace 3cb537bad8990fc6 ]---
[   34.969475] [drm:radeon_ttm_backend_bind] *ERROR* failed to bind 2025 pages at 0x00000000
[   34.974452] radeon 0000:01:05.0: object_init failed for (8294400, 0x00000002)
[   34.978894] [drm:radeon_gem_object_create] *ERROR* Failed to allocate GEM object (8294400, 2, 4096, -22)
[   35.016161] ------------[ cut here ]------------

Comment 16 Jérôme Glisse 2012-03-13 16:03:52 UTC
Please attach full dmesg

Comment 17 mailboost 2012-03-19 16:01:48 UTC
Created attachment 571178 [details]
Full dmesg of kernel 3.2.10-3

The output of dmesg is truncated because the traces are so much that the kernel buffer is filled quickly.

Comment 18 mailboost 2012-03-22 11:45:53 UTC
Created attachment 571972 [details]
/var/log/messages (upgrading kernel to the new buggy one then booting it)

This is the 'messages' file related to the upgrade to the new buggy 3.3.0-4 kernel. After the upgrade, at first reboot, plymouth refused to start (same behaviour seen from kernel 3.2.0 'till now) and then, after a couple of seconds (displaying tons of backtraces) the pc hung saying something like "Fixing recursive kernel errors. A reboot is required!" (I don't remember the exact words) and then froze (it was necessary to push the power-on button for 4 seconds to poweroof the pc). After a second boot plymouth refuses to start, the screen dispays tons of backtraces then Gnome 3 starts in fallback mode. That's all... this bug prevents the normal user to have a full desktop experience and forces me to use the old (but working) 3.1.9 kernel or to buy a new video card (not ATI of course). I don't know how to help you in fixing it but, believe me, it's very annoying and I fear I can't upgrade to the upcoming F17 release (which is affected by the same bug). 
Thanks for your precious work

Comment 19 mailboost 2012-04-02 13:42:07 UTC
Still present in kernel-3.3.0-8.fc16.x86_64. Same issues (no plymouth, Gnome shell in fallback mode). Here's the trace:


[drm:radeon_ttm_backend_bind] *ERROR* failed to bind 2025 pages at 0x00000000
[   54.491486] radeon 0000:01:05.0: object_init failed for (8294400, 0x00000002)
[   54.496021] [drm:radeon_gem_object_create] *ERROR* Failed to allocate GEM object (8294400, 2, 4096, -22)
[   54.529290] ------------[ cut here ]------------
[   54.529336] WARNING: at drivers/gpu/drm/radeon/radeon_gart.c:184 radeon_gart_bind+0xd8/0xe0 [radeon]()
[   54.529338] Hardware name: Aspire M5100
[   54.529339] trying to bind memory to uninitialized GART !
[   54.529340] Modules linked in: snd_hda_codec_hdmi be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 mdio ib_iser rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core ib_addr fcoe 8021q iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi garp stp libfcoe libfc llc scsi_transport_fc scsi_tgt snd_hda_codec_realtek snd_hda_intel snd_hda_codec arc4 rt73usb rt2x00usb rt2x00lib mac80211 cfg80211 snd_hwdep sp5100_tco gspca_sn9c20x gspca_main snd_seq snd_seq_device videodev media v4l2_compat_ioctl32 rfkill edac_core snd_pcm snd_timer edac_mce_amd snd soundcore shpchp microcode i2c_piix4 k8temp snd_page_alloc sky2 serio_raw uinput firewire_ohci ata_generic firewire_core pata_acpi crc_itu_t pata_atiixp radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
[   54.529375] Pid: 217, comm: plymouthd Tainted: G        W    3.3.0-8.fc16.x86_64 #1
[   54.529377] Call Trace:
[   54.529384]  [<ffffffff81057aff>] warn_slowpath_common+0x7f/0xc0
[   54.529387]  [<ffffffff81057bf6>] warn_slowpath_fmt+0x46/0x50
[   54.529400]  [<ffffffffa00b6ba8>] radeon_gart_bind+0xd8/0xe0 [radeon]
[   54.529411]  [<ffffffffa00b47f7>] radeon_ttm_backend_bind+0x37/0xa0 [radeon]
[   54.529421]  [<ffffffffa0071e1f>] ttm_tt_bind+0x4f/0x70 [ttm]
[   54.529426]  [<ffffffffa007419f>] ttm_bo_handle_move_mem+0x5bf/0x670 [ttm]
[   54.529432]  [<ffffffffa0075242>] ttm_bo_move_buffer+0x132/0x140 [ttm]
[   54.529449]  [<ffffffffa002741f>] ? drm_mm_insert_helper+0x11f/0x130 [drm]
[   54.529455]  [<ffffffffa00752e4>] ttm_bo_validate+0x94/0x110 [ttm]
[   54.529460]  [<ffffffffa0075670>] ttm_bo_init+0x310/0x3b0 [ttm]
[   54.529472]  [<ffffffffa00b5864>] radeon_bo_create+0x194/0x2c0 [radeon]
[   54.529484]  [<ffffffffa00b5570>] ? radeon_bo_clear_va+0x80/0x80 [radeon]
[   54.529498]  [<ffffffffa00c6d9a>] radeon_gem_object_create+0x5a/0xf0 [radeon]
[   54.529512]  [<ffffffffa00c71f4>] radeon_gem_create_ioctl+0x54/0xf0 [radeon]
[   54.529520]  [<ffffffffa001c464>] drm_ioctl+0x444/0x510 [drm]
[   54.529534]  [<ffffffffa00c71a0>] ? radeon_gem_pwrite_ioctl+0x30/0x30 [radeon]
[   54.529539]  [<ffffffff8126c080>] ? inode_has_perm+0x30/0x40
[   54.529542]  [<ffffffff8126f31c>] ? file_has_perm+0xdc/0xf0
[   54.529545]  [<ffffffff81193418>] do_vfs_ioctl+0x98/0x550
[   54.529547]  [<ffffffff81193961>] sys_ioctl+0x91/0xa0
[   54.529550]  [<ffffffff815fbca9>] system_call_fastpath+0x16/0x1b
[   54.529552] ---[ end trace 5ed70c794c27b200 ]---

Comment 20 mailboost 2012-04-10 11:20:33 UTC
Still present on the new kernel 3.3.1-3.fc16.x86_64. Same issues (no plymouth, Gnome shell in fallback mode). Here's the trace:

[ end trace 339142eaa3cc17c6 ]---
[   57.112068] [drm:radeon_ttm_backend_bind] *ERROR* failed to bind 2025 pages at 0x00000000
[   57.117360] radeon 0000:01:05.0: object_init failed for (8294400, 0x00000002)
[   57.121907] [drm:radeon_gem_object_create] *ERROR* Failed to allocate GEM object (8294400, 2, 4096, -22)
[   57.155301] ------------[ cut here ]------------
[   57.155370] WARNING: at drivers/gpu/drm/radeon/radeon_gart.c:184 radeon_gart_bind+0xd8/0xe0 [radeon]()
[   57.155373] Hardware name: Aspire M5100
[   57.155374] trying to bind memory to uninitialized GART !
[   57.155375] Modules linked in: be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 mdio ib_iser rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi_tcp fcoe libiscsi scsi_transport_iscsi libfcoe libfc scsi_transport_fc scsi_tgt 8021q garp stp llc snd_hda_codec_hdmi arc4 snd_hda_codec_realtek snd_hda_intel snd_hda_codec rt73usb rt2x00usb rt2x00lib mac80211 snd_hwdep cfg80211 snd_seq snd_seq_device rfkill gspca_sn9c20x gspca_main videodev media edac_core v4l2_compat_ioctl32 sp5100_tco microcode snd_pcm shpchp edac_mce_amd snd_timer snd soundcore snd_page_alloc i2c_piix4 sky2 uinput k8temp serio_raw firewire_ohci ata_generic pata_acpi firewire_core crc_itu_t pata_atiixp radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
[   57.155410] Pid: 216, comm: plymouthd Tainted: G        W    3.3.1-3.fc16.x86_64 #1
[   57.155412] Call Trace:
[   57.155420]  [<ffffffff8105798f>] warn_slowpath_common+0x7f/0xc0
[   57.155424]  [<ffffffff81057a86>] warn_slowpath_fmt+0x46/0x50
[   57.155436]  [<ffffffffa00b6c48>] radeon_gart_bind+0xd8/0xe0 [radeon]
[   57.155448]  [<ffffffffa00b47f7>] radeon_ttm_backend_bind+0x37/0xa0 [radeon]
[   57.155458]  [<ffffffffa0071e1f>] ttm_tt_bind+0x4f/0x70 [ttm]
[   57.155463]  [<ffffffffa007419f>] ttm_bo_handle_move_mem+0x5bf/0x670 [ttm]
[   57.155469]  [<ffffffffa0075242>] ttm_bo_move_buffer+0x132/0x140 [ttm]
[   57.155487]  [<ffffffffa002741f>] ? drm_mm_insert_helper+0x11f/0x130 [drm]
[   57.155492]  [<ffffffffa00752e4>] ttm_bo_validate+0x94/0x110 [ttm]
[   57.155497]  [<ffffffffa0075670>] ttm_bo_init+0x310/0x3b0 [ttm]
[   57.155510]  [<ffffffffa00b5864>] radeon_bo_create+0x194/0x2c0 [radeon]
[   57.155521]  [<ffffffffa00b5570>] ? radeon_bo_clear_va+0x80/0x80 [radeon]
[   57.155536]  [<ffffffffa00c6e0a>] radeon_gem_object_create+0x5a/0xf0 [radeon]
[   57.155549]  [<ffffffffa00c7264>] radeon_gem_create_ioctl+0x54/0xf0 [radeon]
[   57.155557]  [<ffffffffa001c464>] drm_ioctl+0x444/0x510 [drm]
[   57.155571]  [<ffffffffa00c7210>] ? radeon_gem_pwrite_ioctl+0x30/0x30 [radeon]
[   57.155576]  [<ffffffff8126c040>] ? inode_has_perm+0x30/0x40
[   57.155579]  [<ffffffff8126f2dc>] ? file_has_perm+0xdc/0xf0
[   57.155582]  [<ffffffff81192fc8>] do_vfs_ioctl+0x98/0x550
[   57.155585]  [<ffffffff81193511>] sys_ioctl+0x91/0xa0
[   57.155589]  [<ffffffff815fbfe9>] system_call_fastpath+0x16/0x1b
[   57.155591] ---[ end trace 339142eaa3cc17c7 ]---
[   57.155594] [drm:radeon_ttm_backend_bind] *ERROR* failed to bind 2025 pages at 0x00000000
[   57.160750] radeon 0000:01:05.0: object_init failed for (8294400, 0x00000002)
[   57.165388] [drm:radeon_gem_object_create] *ERROR* Failed to allocate GEM object (8294400, 2, 4096, -22)

Comment 21 Jérôme Glisse 2012-04-10 14:56:32 UTC
Do you have an iommu option in your bios ? If so is it enabled ? If not enable it and test.

Comment 22 mailboost 2012-04-10 17:03:56 UTC
(In reply to comment #21)
> Do you have an iommu option in your bios ? If so is it enabled ? If not enable
> it and test.

Can you be more specific? I enabled 'System bios cacheable' and 'memory hole' but nothing changed. UMA is set to 256mb. Sometimes booting the buggy kernel, i.e. all kernels > 3.1.9, I experience random kernel panic.
Just let you know that with kernel 3.1.9 all works fine with every bios setting. In my humble opinion the 'ati driver code cleanup' made from kernel 3.1.9 to kernel 3.2.0 is the key to solve this bug... maybe someone has cleaned too much code! 
This bug affects also F17!!

Comment 23 mailboost 2012-04-14 10:24:56 UTC
Kernel-3.3.1-5.fc16.x86_64 is still buggy. Here's the trace: 

[   57.029197] ------------[ cut here ]------------
[   57.029246] WARNING: at drivers/gpu/drm/radeon/radeon_gart.c:184 radeon_gart_bind+0xd8/0xe0 [radeon]()
[   57.029248] Hardware name: Aspire M5100
[   57.029249] trying to bind memory to uninitialized GART !
[   57.029250] Modules linked in: be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 mdio ib_iser rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi fcoe 8021q libfcoe libfc scsi_transport_iscsi scsi_transport_fc scsi_tgt garp stp llc snd_hda_codec_hdmi arc4 snd_hda_codec_realtek rt73usb rt2x00usb rt2x00lib mac80211 snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm snd_timer snd sp5100_tco gspca_sn9c20x cfg80211 gspca_main soundcore sky2 snd_page_alloc videodev k8temp media microcode rfkill serio_raw uinput i2c_piix4 shpchp edac_core edac_mce_amd ata_generic firewire_ohci pata_acpi firewire_core crc_itu_t pata_atiixp radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
[   57.029284] Pid: 215, comm: plymouthd Tainted: G        W    3.3.1-5.fc16.x86_64 #1
[   57.029286] Call Trace:
[   57.029293]  [<ffffffff8105798f>] warn_slowpath_common+0x7f/0xc0
[   57.029296]  [<ffffffff81057a86>] warn_slowpath_fmt+0x46/0x50
[   57.029308]  [<ffffffffa00b6c48>] radeon_gart_bind+0xd8/0xe0 [radeon]
[   57.029319]  [<ffffffffa00b47f7>] radeon_ttm_backend_bind+0x37/0xa0 [radeon]
[   57.029328]  [<ffffffffa0071e1f>] ttm_tt_bind+0x4f/0x70 [ttm]
[   57.029333]  [<ffffffffa007419f>] ttm_bo_handle_move_mem+0x5bf/0x670 [ttm]
[   57.029338]  [<ffffffffa0075242>] ttm_bo_move_buffer+0x132/0x140 [ttm]
[   57.029355]  [<ffffffffa002741f>] ? drm_mm_insert_helper+0x11f/0x130 [drm]
[   57.029360]  [<ffffffffa00752e4>] ttm_bo_validate+0x94/0x110 [ttm]
[   57.029365]  [<ffffffffa0075670>] ttm_bo_init+0x310/0x3b0 [ttm]
[   57.029378]  [<ffffffffa00b5864>] radeon_bo_create+0x194/0x2c0 [radeon]
[   57.029390]  [<ffffffffa00b5570>] ? radeon_bo_clear_va+0x80/0x80 [radeon]
[   57.029404]  [<ffffffffa00c6e0a>] radeon_gem_object_create+0x5a/0xf0 [radeon]
[   57.029418]  [<ffffffffa00c7264>] radeon_gem_create_ioctl+0x54/0xf0 [radeon]
[   57.029425]  [<ffffffffa001c464>] drm_ioctl+0x444/0x510 [drm]
[   57.029439]  [<ffffffffa00c7210>] ? radeon_gem_pwrite_ioctl+0x30/0x30 [radeon]
[   57.029444]  [<ffffffff8126c050>] ? inode_has_perm+0x30/0x40
[   57.029447]  [<ffffffff8126f2ec>] ? file_has_perm+0xdc/0xf0
[   57.029450]  [<ffffffff81192fc8>] do_vfs_ioctl+0x98/0x550
[   57.029452]  [<ffffffff81193511>] sys_ioctl+0x91/0xa0
[   57.029455]  [<ffffffff815fc069>] system_call_fastpath+0x16/0x1b
[   57.029457] ---[ end trace 95abb69b124aea93 ]---
[   57.029460] [drm:radeon_ttm_backend_bind] *ERROR* failed to bind 2025 pages at 0x00000000
[   57.034513] radeon 0000:01:05.0: object_init failed for (8294400, 0x00000002)
[   57.038956] [drm:radeon_gem_object_create] *ERROR* Failed to allocate GEM object (8294400, 2, 4096, -22)

Comment 24 Jérôme Glisse 2012-04-16 20:11:37 UTC
Do you see message about lockup prior to this kernel message in kernel log ?

Comment 25 mailboost 2012-04-20 09:27:58 UTC
(In reply to comment #24)
> Do you see message about lockup prior to this kernel message in kernel log ?

Hard to answer. At startup I see a bunch of errors like this:

[drm:radeon_ttm_backend_bind] *ERROR* failed to bind 2025 pages
at 0x00000000
radeon 0000:01:05.0: object_init failed for (8294400,
0x00000002)
[drm:radeon_gem_object_create] *ERROR* Failed to allocate GEM
object (8294400, 2, 4096, -22)

Then when I go to console and type dmesg > dmesg.txt the output is truncated and can't see if the message lockup is prior that kernel messages. 

Just let you know that the latest available kernel-3.3.2-1.fc16.x86_64 is still buggy. Here's the trace:

[   70.077355] ------------[ cut here ]------------
[   70.077404] WARNING: at drivers/gpu/drm/radeon/radeon_gart.c:184 radeon_gart_bind+0xd8/0xe0 [radeon]()
[   70.077406] Hardware name: Aspire M5100
[   70.077407] trying to bind memory to uninitialized GART !
[   70.077408] Modules linked in: be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 mdio ib_iser fcoe rdma_cm 8021q libfcoe ib_cm iw_cm ib_sa libfc scsi_transport_fc ib_mad ib_core garp stp llc scsi_tgt ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi snd_hda_codec_hdmi arc4 snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device rt73usb rt2x00usb rt2x00lib snd_pcm mac80211 cfg80211 gspca_sn9c20x gspca_main snd_timer videodev snd sp5100_tco soundcore rfkill snd_page_alloc microcode sky2 shpchp edac_core edac_mce_amd i2c_piix4 media k8temp uinput serio_raw firewire_ohci ata_generic pata_acpi firewire_core crc_itu_t pata_atiixp radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
[   70.077442] Pid: 215, comm: plymouthd Tainted: G        W    3.3.2-1.fc16.x86_64 #1
[   70.077444] Call Trace:
[   70.077451]  [<ffffffff81057abf>] warn_slowpath_common+0x7f/0xc0
[   70.077454]  [<ffffffff81057bb6>] warn_slowpath_fmt+0x46/0x50
[   70.077466]  [<ffffffffa00b6cc8>] radeon_gart_bind+0xd8/0xe0 [radeon]
[   70.077478]  [<ffffffffa00b4877>] radeon_ttm_backend_bind+0x37/0xa0 [radeon]
[   70.077487]  [<ffffffffa0071e1f>] ttm_tt_bind+0x4f/0x70 [ttm]
[   70.077492]  [<ffffffffa007419f>] ttm_bo_handle_move_mem+0x5bf/0x670 [ttm]
[   70.077498]  [<ffffffffa0075242>] ttm_bo_move_buffer+0x132/0x140 [ttm]
[   70.077514]  [<ffffffffa002741f>] ? drm_mm_insert_helper+0x11f/0x130 [drm]
[   70.077520]  [<ffffffffa00752e4>] ttm_bo_validate+0x94/0x110 [ttm]
[   70.077525]  [<ffffffffa0075670>] ttm_bo_init+0x310/0x3b0 [ttm]
[   70.077537]  [<ffffffffa00b58e4>] radeon_bo_create+0x194/0x2c0 [radeon]
[   70.077549]  [<ffffffffa00b55f0>] ? radeon_bo_clear_va+0x80/0x80 [radeon]
[   70.077563]  [<ffffffffa00c6e8a>] radeon_gem_object_create+0x5a/0xf0 [radeon]
[   70.077577]  [<ffffffffa00c72e4>] radeon_gem_create_ioctl+0x54/0xf0 [radeon]
[   70.077585]  [<ffffffffa001c464>] drm_ioctl+0x444/0x510 [drm]
[   70.077599]  [<ffffffffa00c7290>] ? radeon_gem_pwrite_ioctl+0x30/0x30 [radeon]
[   70.077603]  [<ffffffff8126c2b0>] ? inode_has_perm+0x30/0x40
[   70.077607]  [<ffffffff8126f54c>] ? file_has_perm+0xdc/0xf0
[   70.077610]  [<ffffffff81193228>] do_vfs_ioctl+0x98/0x550
[   70.077612]  [<ffffffff81193771>] sys_ioctl+0x91/0xa0
[   70.077615]  [<ffffffff815fc5a9>] system_call_fastpath+0x16/0x1b
[   70.077617] ---[ end trace 0d1dfd12deb56264 ]---
[   70.077620] [drm:radeon_ttm_backend_bind] *ERROR* failed to bind 2025 pages at 0x00000000
[   70.082553] radeon 0000:01:05.0: object_init failed for (8294400, 0x00000002)
[   70.086831] [drm:radeon_gem_object_create] *ERROR* Failed to allocate GEM object (8294400, 2, 4096, -22)

Comment 26 Jérôme Glisse 2012-04-20 20:19:09 UTC
Please attach /var/log/messages

Comment 27 mailboost 2012-04-21 12:21:32 UTC
Created attachment 579164 [details]
/var/log/messages

Here's the file you requested.

Comment 28 mailboost 2012-04-26 08:12:57 UTC
Kernel-3.3.2-6.fc16.x86_64 is still buggy!! Here's the trace:

[   43.684600] [drm:radeon_ttm_backend_bind] *ERROR* failed to bind 2025 pages at 0x00000000
[   43.689685] radeon 0000:01:05.0: object_init failed for (8294400, 0x00000002)
[   43.694203] [drm:radeon_gem_object_create] *ERROR* Failed to allocate GEM object (8294400, 2, 4096, -22)
[   43.735854] ------------[ cut here ]------------
[   43.735906] WARNING: at drivers/gpu/drm/radeon/radeon_gart.c:184 radeon_gart_bind+0xd8/0xe0 [radeon]()
[   43.735908] Hardware name: Aspire M5100
[   43.735910] trying to bind memory to uninitialized GART !
[   43.735911] Modules linked in: ppdev parport_pc lp parport be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 mdio ib_iser 8021q garp stp fcoe libfcoe rdma_cm ib_cm libfc iw_cm ib_sa ib_mad ib_core ib_addr llc iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi scsi_transport_fc scsi_tgt snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_intel arc4 snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm rt73usb rt2x00usb rt2x00lib mac80211 gspca_sn9c20x gspca_main videodev media cfg80211 shpchp edac_core snd_timer snd sp5100_tco soundcore snd_page_alloc rfkill i2c_piix4 sky2 edac_mce_amd serio_raw k8temp uinput firewire_ohci firewire_core ata_generic pata_acpi usb_storage crc_itu_t pata_atiixp radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
[   43.735946] Pid: 218, comm: plymouthd Tainted: G        W    3.3.2-6.fc16.x86_64 #1
[   43.735948] Call Trace:
[   43.735956]  [<ffffffff81057abf>] warn_slowpath_common+0x7f/0xc0
[   43.735959]  [<ffffffff81057bb6>] warn_slowpath_fmt+0x46/0x50
[   43.735972]  [<ffffffffa00b6cc8>] radeon_gart_bind+0xd8/0xe0 [radeon]
[   43.735984]  [<ffffffffa00b4877>] radeon_ttm_backend_bind+0x37/0xa0 [radeon]
[   43.735993]  [<ffffffffa0071e1f>] ttm_tt_bind+0x4f/0x70 [ttm]
[   43.735998]  [<ffffffffa007419f>] ttm_bo_handle_move_mem+0x5bf/0x670 [ttm]
[   43.736004]  [<ffffffffa0075242>] ttm_bo_move_buffer+0x132/0x140 [ttm]
[   43.736056]  [<ffffffffa002741f>] ? drm_mm_insert_helper+0x11f/0x130 [drm]
[   43.736065]  [<ffffffffa00752e4>] ttm_bo_validate+0x94/0x110 [ttm]
[   43.736073]  [<ffffffffa0075670>] ttm_bo_init+0x310/0x3b0 [ttm]
[   43.736089]  [<ffffffffa00b58e4>] radeon_bo_create+0x194/0x2c0 [radeon]
[   43.736104]  [<ffffffffa00b55f0>] ? radeon_bo_clear_va+0x80/0x80 [radeon]
[   43.736121]  [<ffffffffa00c6e8a>] radeon_gem_object_create+0x5a/0xf0 [radeon]
[   43.736137]  [<ffffffffa00c72e4>] radeon_gem_create_ioctl+0x54/0xf0 [radeon]
[   43.736148]  [<ffffffffa001c464>] drm_ioctl+0x444/0x510 [drm]
[   43.736165]  [<ffffffffa00c7290>] ? radeon_gem_pwrite_ioctl+0x30/0x30 [radeon]
[   43.736172]  [<ffffffff8126c2f0>] ? inode_has_perm+0x30/0x40
[   43.736178]  [<ffffffff8126f58c>] ? file_has_perm+0xdc/0xf0
[   43.736184]  [<ffffffff81193228>] do_vfs_ioctl+0x98/0x550
[   43.736190]  [<ffffffff81193771>] sys_ioctl+0x91/0xa0
[   43.736196]  [<ffffffff815fc1e9>] system_call_fastpath+0x16/0x1b
[   43.736200] ---[ end trace 0c8a27ea2e99fb46 ]---
[   43.736204] [drm:radeon_ttm_backend_bind] *ERROR* failed to bind 2025 pages at 0x00000000
[   43.741479] radeon 0000:01:05.0: object_init failed for (8294400, 0x00000002)
[   43.746015] [drm:radeon_gem_object_create] *ERROR* Failed to allocate GEM object (8294400, 2, 4096, -22)
[   43.780207] ------------[ cut here ]------------

Comment 29 mailboost 2012-05-04 18:31:59 UTC
And yes... the kernel-3.3.4-1.fc16.x86_64 is still buggy! 

Here's the trace:

[   34.660064] ---[ end trace 27fe3e47d4259f54 ]---
[   34.660069] [drm:radeon_ttm_backend_bind] *ERROR* failed to bind 2025 pages at 0x00000000
[   34.665237] radeon 0000:01:05.0: object_init failed for (8294400, 0x00000002)
[   34.669819] [drm:radeon_gem_object_create] *ERROR* Failed to allocate GEM object (8294400, 2, 4096, -22)
[   34.703175] ------------[ cut here ]------------
[   34.703226] WARNING: at drivers/gpu/drm/radeon/radeon_gart.c:184 radeon_gart_bind+0xd8/0xe0 [radeon]()
[   34.703228] Hardware name: Aspire M5100
[   34.703229] trying to bind memory to uninitialized GART !
[   34.703230] Modules linked in: snd_hda_codec_hdmi be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 mdio ib_iser fcoe rdma_cm libfcoe ib_cm iw_cm ib_sa ib_mad libfc ib_core 8021q garp scsi_transport_fc scsi_tgt ib_addr stp llc iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi snd_hda_codec_realtek snd_hda_intel snd_hda_codec arc4 snd_hwdep snd_seq snd_seq_device rt73usb rt2x00usb rt2x00lib snd_pcm mac80211 cfg80211 snd_timer edac_core edac_mce_amd snd gspca_sn9c20x gspca_main videodev sky2 soundcore rfkill snd_page_alloc media sp5100_tco i2c_piix4 shpchp k8temp serio_raw uinput firewire_ohci ata_generic pata_acpi firewire_core crc_itu_t pata_atiixp radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
[   34.703265] Pid: 217, comm: plymouthd Tainted: G        W    3.3.4-1.fc16.x86_64 #1
[   34.703266] Call Trace:
[   34.703275]  [<ffffffff81057abf>] warn_slowpath_common+0x7f/0xc0
[   34.703278]  [<ffffffff81057bb6>] warn_slowpath_fmt+0x46/0x50
[   34.703291]  [<ffffffffa00b6cc8>] radeon_gart_bind+0xd8/0xe0 [radeon]
[   34.703302]  [<ffffffffa00b4877>] radeon_ttm_backend_bind+0x37/0xa0 [radeon]
[   34.703312]  [<ffffffffa0071e1f>] ttm_tt_bind+0x4f/0x70 [ttm]
[   34.703318]  [<ffffffffa007419f>] ttm_bo_handle_move_mem+0x5bf/0x670 [ttm]
[   34.703324]  [<ffffffffa0075242>] ttm_bo_move_buffer+0x132/0x140 [ttm]
[   34.703342]  [<ffffffffa002741f>] ? drm_mm_insert_helper+0x11f/0x130 [drm]
[   34.703347]  [<ffffffffa00752e4>] ttm_bo_validate+0x94/0x110 [ttm]
[   34.703353]  [<ffffffffa0075670>] ttm_bo_init+0x310/0x3b0 [ttm]
[   34.703365]  [<ffffffffa00b58e4>] radeon_bo_create+0x194/0x2c0 [radeon]
[   34.703377]  [<ffffffffa00b55f0>] ? radeon_bo_clear_va+0x80/0x80 [radeon]
[   34.703392]  [<ffffffffa00c6eea>] radeon_gem_object_create+0x5a/0xf0 [radeon]
[   34.703406]  [<ffffffffa00c7344>] radeon_gem_create_ioctl+0x54/0xf0 [radeon]
[   34.703413]  [<ffffffffa001c464>] drm_ioctl+0x444/0x510 [drm]
[   34.703427]  [<ffffffffa00c72f0>] ? radeon_gem_pwrite_ioctl+0x30/0x30 [radeon]
[   34.703432]  [<ffffffff8126c230>] ? inode_has_perm+0x30/0x40
[   34.703434]  [<ffffffff8126f4cc>] ? file_has_perm+0xdc/0xf0
[   34.703438]  [<ffffffff811931e8>] do_vfs_ioctl+0x98/0x550
[   34.703440]  [<ffffffff81193731>] sys_ioctl+0x91/0xa0
[   34.703443]  [<ffffffff815fc1a9>] system_call_fastpath+0x16/0x1b
[   34.703445] ---[ end trace 27fe3e47d4259f55 ]---

Comment 30 mailboost 2012-05-04 19:33:23 UTC
I just tested F17 beta and the bug is also there. Plymouth refuses to start BUT Gnome shell starts.
Here's the trace:
[   25.577400] ---[ end trace 98dd183b8fc4371d ]---
[   25.577403] [drm:radeon_ttm_backend_bind] *ERROR* failed to bind 2025 pages at 0x00000000
[   25.582573] radeon 0000:01:05.0: object_init failed for (8294400, 0x00000002)
[   25.587165] [drm:radeon_gem_object_create] *ERROR* Failed to allocate GEM object (8294400, 2, 4096, -22)
[   25.620388] ------------[ cut here ]------------
[   25.620442] WARNING: at drivers/gpu/drm/radeon/radeon_gart.c:184 radeon_gart_bind+0xea/0x100 [radeon]()
[   25.620444] Hardware name: Aspire M5100
[   25.620445] trying to bind memory to uninitialized GART !
[   25.620447] Modules linked in: ipt_MASQUERADE nf_conntrack_netbios_ns nf_conntrack_broadcast ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables iptable_nat nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack bnep bluetooth snd_hda_codec_hdmi arc4 rt73usb rt2x00usb rt2x00lib mac80211 cfg80211 gspca_sn9c20x gspca_main rfkill videodev v4l2_compat_ioctl32 media snd_hda_codec_realtek microcode snd_hda_intel serio_raw edac_core edac_mce_amd k8temp snd_hda_codec snd_hwdep snd_pcm snd_page_alloc snd_timer sp5100_tco snd i2c_piix4 soundcore sky2 shpchp uinput squashfs vfat fat ata_generic pata_acpi firewire_ohci usb_storage firewire_core crc_itu_t pata_atiixp radeon i2c_algo_bit drm_kms_helper ttm drm i2c_core [last unloaded: scsi_wait_scan]
[   25.620481] Pid: 206, comm: plymouthd Tainted: G        W    3.3.0-1.fc17.x86_64 #1
[   25.620483] Call Trace:
[   25.620490]  [<ffffffff8105695f>] warn_slowpath_common+0x7f/0xc0
[   25.620494]  [<ffffffff81056a56>] warn_slowpath_fmt+0x46/0x50
[   25.620508]  [<ffffffffa00a6f1a>] radeon_gart_bind+0xea/0x100 [radeon]
[   25.620522]  [<ffffffffa00a43f7>] radeon_ttm_backend_bind+0x37/0xa0 [radeon]
[   25.620533]  [<ffffffffa005fdff>] ttm_tt_bind+0x4f/0x70 [ttm]
[   25.620538]  [<ffffffffa00620f7>] ttm_bo_handle_move_mem+0x4f7/0x580 [ttm]
[   25.620545]  [<ffffffffa0063092>] ttm_bo_move_buffer+0x132/0x140 [ttm]
[   25.620565]  [<ffffffffa00201fe>] ? drm_mm_insert_helper+0x11e/0x130 [drm]
[   25.620571]  [<ffffffffa006313d>] ttm_bo_validate+0x9d/0x120 [ttm]
[   25.620576]  [<ffffffffa00634bf>] ttm_bo_init+0x2ff/0x3c0 [ttm]
[   25.620591]  [<ffffffffa00a5c19>] radeon_bo_create+0x199/0x2a0 [radeon]
[   25.620605]  [<ffffffffa00a5910>] ? radeon_bo_clear_va+0x80/0x80 [radeon]
[   25.620621]  [<ffffffffa00b6f5a>] radeon_gem_object_create+0x5a/0xf0 [radeon]
[   25.620637]  [<ffffffffa00b73b3>] radeon_gem_create_ioctl+0x53/0xe0 [radeon]
[   25.620645]  [<ffffffffa0015494>] drm_ioctl+0x424/0x520 [drm]
[   25.620661]  [<ffffffffa00b7360>] ? radeon_gem_pwrite_ioctl+0x30/0x30 [radeon]
[   25.620667]  [<ffffffff81268fc7>] ? inode_has_perm.isra.29+0x27/0x30
[   25.620670]  [<ffffffff8126b051>] ? file_has_perm+0xe1/0xf0
[   25.620674]  [<ffffffff811904e9>] do_vfs_ioctl+0x99/0x580
[   25.620676]  [<ffffffff81190a69>] sys_ioctl+0x99/0xa0
[   25.620680]  [<ffffffff815f33e9>] system_call_fastpath+0x16/0x1b
[   25.620682] ---[ end trace 98dd183b8fc4371e ]---
[   25.620685] [drm:radeon_ttm_backend_bind] *ERROR* failed to bind 2025 pages at 0x00000000
[   25.625755] radeon 0000:01:05.0: object_init failed for (8294400, 0x00000002)
[   25.630333] [drm:radeon_gem_object_create] *ERROR* Failed to allocate GEM object (8294400, 2, 4096, -22)
[   25.663658] ------------[ cut here ]------------

Comment 31 mailboost 2012-05-06 09:49:38 UTC
Still in kernel-3.3.4-3.fc16.x86_64

[   41.170331] ---[ end trace afcb51b7bce399fc ]---
[   41.170334] [drm:radeon_ttm_backend_bind] *ERROR* failed to bind 2025 pages at 0x00000000
[   41.175322] radeon 0000:01:05.0: object_init failed for (8294400, 0x00000002)
[   41.179868] [drm:radeon_gem_object_create] *ERROR* Failed to allocate GEM object (8294400, 2, 4096, -22)
[   41.212544] ------------[ cut here ]------------
[   41.212596] WARNING: at drivers/gpu/drm/radeon/radeon_gart.c:184 radeon_gart_bind+0xd8/0xe0 [radeon]()
[   41.212598] Hardware name: Aspire M5100
[   41.212600] trying to bind memory to uninitialized GART !
[   41.212601] Modules linked in: be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 mdio fcoe ib_iser rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi libfcoe libfc scsi_transport_fc scsi_tgt 8021q garp stp llc snd_hda_codec_hdmi arc4 rt73usb rt2x00usb rt2x00lib snd_hda_codec_realtek mac80211 snd_hda_intel snd_hda_codec snd_hwdep sp5100_tco i2c_piix4 snd_seq snd_seq_device gspca_sn9c20x shpchp uinput snd_pcm edac_core edac_mce_amd cfg80211 rfkill sky2 snd_timer gspca_main snd videodev soundcore serio_raw snd_page_alloc media k8temp firewire_ohci firewire_core ata_generic pata_acpi crc_itu_t pata_atiixp radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
[   41.212635] Pid: 209, comm: plymouthd Tainted: G        W    3.3.4-3.fc16.x86_64 #1
[   41.212636] Call Trace:
[   41.212644]  [<ffffffff81057abf>] warn_slowpath_common+0x7f/0xc0
[   41.212647]  [<ffffffff81057bb6>] warn_slowpath_fmt+0x46/0x50
[   41.212660]  [<ffffffffa00b6cb8>] radeon_gart_bind+0xd8/0xe0 [radeon]
[   41.212671]  [<ffffffffa00b4867>] radeon_ttm_backend_bind+0x37/0xa0 [radeon]
[   41.212680]  [<ffffffffa0071e1f>] ttm_tt_bind+0x4f/0x70 [ttm]
[   41.212685]  [<ffffffffa007419f>] ttm_bo_handle_move_mem+0x5bf/0x670 [ttm]
[   41.212690]  [<ffffffffa0075242>] ttm_bo_move_buffer+0x132/0x140 [ttm]
[   41.212707]  [<ffffffffa002741f>] ? drm_mm_insert_helper+0x11f/0x130 [drm]
[   41.212712]  [<ffffffffa00752e4>] ttm_bo_validate+0x94/0x110 [ttm]
[   41.212717]  [<ffffffffa0075670>] ttm_bo_init+0x310/0x3b0 [ttm]
[   41.212730]  [<ffffffffa00b58d4>] radeon_bo_create+0x194/0x2c0 [radeon]
[   41.212742]  [<ffffffffa00b55e0>] ? radeon_bo_clear_va+0x80/0x80 [radeon]
[   41.212756]  [<ffffffffa00c6eda>] radeon_gem_object_create+0x5a/0xf0 [radeon]
[   41.212769]  [<ffffffffa00c7334>] radeon_gem_create_ioctl+0x54/0xf0 [radeon]
[   41.212777]  [<ffffffffa001c464>] drm_ioctl+0x444/0x510 [drm]
[   41.212791]  [<ffffffffa00c72e0>] ? radeon_gem_pwrite_ioctl+0x30/0x30 [radeon]
[   41.212795]  [<ffffffff8126bf90>] ? inode_has_perm+0x30/0x40
[   41.212798]  [<ffffffff8126f22c>] ? file_has_perm+0xdc/0xf0
[   41.212801]  [<ffffffff81192f98>] do_vfs_ioctl+0x98/0x550
[   41.212804]  [<ffffffff811934e1>] sys_ioctl+0x91/0xa0
[   41.212807]  [<ffffffff815fbee9>] system_call_fastpath+0x16/0x1b
[   41.212809] ---[ end trace afcb51b7bce399fd ]---

Comment 32 Jérôme Glisse 2012-05-07 15:39:01 UTC
Again is there a message about lockup prior to this trace ?

Comment 33 mailboost 2012-05-09 11:27:40 UTC
Created attachment 583225 [details]
F17 beta live cd /var/log/messages

Maybe you can find the answer by reading the F17 beta live cd /var/log/messages I uploaded. Let me know.

Comment 34 Jérôme Glisse 2012-05-09 22:28:21 UTC
No this log is useless, it missing everything from the startup. I really don't get how you get to this code path.

Comment 35 mailboost 2012-05-10 12:39:50 UTC
(In reply to comment #34)
> No this log is useless, it missing everything from the startup. I really don't
> get how you get to this code path.

The problem is that the logger starts after the loop is already on... Any idea how to catch the entire log? Any boot parameter to pass to the kernel? Any debug option to activate? Let me know.

Comment 36 mailboost 2012-05-14 16:07:22 UTC
Kernel-3.3.5-2.fc16.x86_64 is still buggy. It seems a Fedora specific bug, because I tried Ubuntu 12.04 ant it works fine.

Here's the trace:

[   17.484942] [drm:radeon_ttm_backend_bind] *ERROR* failed to bind 2025 pages at 0x00000000
[   17.492555] radeon 0000:01:05.0: object_init failed for (8294400, 0x00000002)
[   17.498766] [drm:radeon_gem_object_create] *ERROR* Failed to allocate GEM object (8294400, 2, 4096, -22)
[   17.575041] ------------[ cut here ]------------
[   17.575124] WARNING: at drivers/gpu/drm/radeon/radeon_gart.c:184 radeon_gart_bind+0xd8/0xe0 [radeon]()
[   17.575130] Hardware name: Aspire M5100
[   17.575133] trying to bind memory to uninitialized GART !
[   17.575136] Modules linked in: soundcore sky2 i2c_piix4 k8temp shpchp snd_page_alloc uinput edac_core edac_mce_amd serio_raw firewire_ohci firewire_core ata_generic pata_acpi crc_itu_t pata_atiixp radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core
[   17.575171] Pid: 218, comm: plymouthd Tainted: G        W    3.3.5-2.fc16.x86_64 #1
[   17.575177] Call Trace:
[   17.575193]  [<ffffffff81057abf>] warn_slowpath_common+0x7f/0xc0
[   17.575202]  [<ffffffff81057bb6>] warn_slowpath_fmt+0x46/0x50
[   17.575234]  [<ffffffffa00b6cb8>] radeon_gart_bind+0xd8/0xe0 [radeon]
[   17.575264]  [<ffffffffa00b4867>] radeon_ttm_backend_bind+0x37/0xa0 [radeon]
[   17.575284]  [<ffffffffa0071e1f>] ttm_tt_bind+0x4f/0x70 [ttm]
[   17.575296]  [<ffffffffa007419f>] ttm_bo_handle_move_mem+0x5bf/0x670 [ttm]
[   17.575309]  [<ffffffffa0075242>] ttm_bo_move_buffer+0x132/0x140 [ttm]
[   17.575346]  [<ffffffffa002741f>] ? drm_mm_insert_helper+0x11f/0x130 [drm]
[   17.575359]  [<ffffffffa00752e4>] ttm_bo_validate+0x94/0x110 [ttm]
[   17.575372]  [<ffffffffa0075670>] ttm_bo_init+0x310/0x3b0 [ttm]
[   17.575406]  [<ffffffffa00b58d4>] radeon_bo_create+0x194/0x2c0 [radeon]
[   17.575438]  [<ffffffffa00b55e0>] ? radeon_bo_clear_va+0x80/0x80 [radeon]
[   17.575476]  [<ffffffffa00c6eda>] radeon_gem_object_create+0x5a/0xf0 [radeon]
[   17.575512]  [<ffffffffa00c7334>] radeon_gem_create_ioctl+0x54/0xf0 [radeon]
[   17.575530]  [<ffffffffa001c464>] drm_ioctl+0x444/0x510 [drm]
[   17.575567]  [<ffffffffa00c72e0>] ? radeon_gem_pwrite_ioctl+0x30/0x30 [radeon]
[   17.575578]  [<ffffffff8126bfb0>] ? inode_has_perm+0x30/0x40
[   17.575586]  [<ffffffff8126f24c>] ? file_has_perm+0xdc/0xf0
[   17.575596]  [<ffffffff81192fb8>] do_vfs_ioctl+0x98/0x550
[   17.575603]  [<ffffffff81193501>] sys_ioctl+0x91/0xa0
[   17.575611]  [<ffffffff815fc2e9>] system_call_fastpath+0x16/0x1b
[   17.575617] ---[ end trace a1c4b44f18587350 ]---
[   17.575624] [drm:radeon_ttm_backend_bind] *ERROR* failed to bind 2025 pages at 0x00000000
[   17.583208] radeon 0000:01:05.0: object_init failed for (8294400, 0x00000002)
[   17.589571] [drm:radeon_gem_object_create] *ERROR* Failed to allocate GEM object (8294400, 2, 4096, -22)
[   17.665460] ------------[ cut here ]------------

Comment 37 mailboost 2012-05-15 09:51:16 UTC
Created attachment 584612 [details]
Ubuntu 12.04 dmesg

By analyzing the dmesg from ubuntu maybe we can find the answer (look at "cp test failed" "*ERROR* Wait for CP idle timeout, shutting down CP.
[    5.193101] Failed to wait GUI idle while programming pipes. Bad things might happen."
Here's the most significant part:

[    4.799372] [drm] radeon defaulting to kernel modesetting.
[    4.799412] [drm] radeon kernel modesetting enabled.
[    4.799567] radeon 0000:01:05.0: PCI INT A -> GSI 18 (level, low) -> IRQ 18
[    4.799778] [drm] initializing kernel modesetting (RS690 0x1002:0x791E 0x105B:0x0E0A).
[    4.799830] [drm] register mmio base: 0xFDEE0000
[    4.799867] [drm] register mmio size: 65536
[    4.800138] ATOM BIOS: ATI
[    4.800196] radeon 0000:01:05.0: VRAM: 256M 0x00000000C0000000 - 0x00000000CFFFFFFF (256M used)
[    4.800235] radeon 0000:01:05.0: GTT: 512M 0x00000000A0000000 - 0x00000000BFFFFFFF
[    4.800284] [drm] Supports vblank timestamp caching Rev 1 (10.10.2010).
[    4.800319] [drm] Driver supports precise vblank timestamp query.
[    4.800369] [drm] radeon: irq initialized.
[    4.800901] [drm] Detected VRAM RAM=256M, BAR=256M
[    4.800941] [drm] RAM width 128bits DDR
[    4.801054] [TTM] Zone  kernel: Available graphics memory: 1896086 kiB.
[    4.801090] [TTM] Initializing pool allocator.
[    4.801150] [drm] radeon: 256M of VRAM memory ready
[    4.801185] [drm] radeon: 512M of GTT memory ready.
[    4.801239] [drm] GART: num cpu pages 131072, num gpu pages 131072
[    4.804348] [drm] radeon: 1 quad pipes, 1 z pipes initialized.
[    4.810338] [drm] PCIE GART of 512M enabled (table at 0x00000000BF900000).
[    4.810407] radeon 0000:01:05.0: WB enabled
[    4.810496] [drm] Loading RS690/RS740 Microcode
[    4.812237] [drm] radeon: ring at 0x00000000A0001000
[    4.884028] usb 2-1: new low-speed USB device number 2 using ohci_hcd
[    4.946787] [drm:r100_ring_test] *ERROR* radeon: ring test failed (scratch(0x15E4)=0xCAFEDEAD)
[    4.946827] [drm:r100_cp_init] *ERROR* radeon: cp isn't working (-22).
[    4.946862] radeon 0000:01:05.0: failed initializing CP (-22).
[    4.946897] radeon 0000:01:05.0: Disabling GPU acceleration
[    5.061277] input: PS/2+USB Mouse as /devices/pci0000:00/0000:00:13.0/usb2/2-1/2-1:1.0/input/input3
[    5.061478] generic-usb 0003:04F3:0213.0001: input,hidraw0: USB HID v1.11 Mouse [PS/2+USB Mouse] on usb-0000:00:13.0-1/input0
[    5.061641] usbcore: registered new interface driver usbhid
[    5.061678] usbhid: USB HID core driver
[    5.070083] [drm:r100_cp_fini] *ERROR* Wait for CP idle timeout, shutting down CP.
[    5.193101] Failed to wait GUI idle while programming pipes. Bad things might happen.
[    5.193225] firewire_ohci: Added fw-ohci device 0000:03:06.0, OHCI v1.10, 4 IR + 8 IT contexts, quirks 0x2
[    5.193343] [drm] radeon: cp finalized
[    5.194118] [drm] Radeon Display Connectors
[    5.194155] [drm] Connector 0:
[    5.194190] [drm]   VGA
[    5.194224] [drm]   DDC: 0x7e50 0x7e40 0x7e54 0x7e44 0x7e58 0x7e48 0x7e5c 0x7e4c
[    5.194262] [drm]   Encoders:
[    5.194296] [drm]     CRT1: INTERNAL_KLDSCP_DAC1
[    5.194331] [drm] Connector 1:
[    5.194364] [drm]   HDMI-A
[    5.194398] [drm]   DDC: 0x7e40 0x7e50 0x7e44 0x7e54 0x7e48 0x7e58 0x7e4c 0x7e5c
[    5.194928] [drm]   Encoders:
[    5.194961] [drm]     DFP3: INTERNAL_LVTM1
[    5.275616] [drm] fb mappable at 0xD0040000
[    5.275650] [drm] vram apper at 0xD0000000
[    5.275683] [drm] size 8294400
[    5.275716] [drm] fb depth is 24
[    5.275749] [drm]    pitch is 7680
[    5.275862] fbcon: radeondrmfb (fb0) is primary device
[    5.307971] Console: switching to colour frame buffer device 240x67
[    5.323974] fb0: radeondrmfb frame buffer device
[    5.324045] drm: registered panic notifier
[    5.324101] [drm] Initialized radeon 2.12.0 20080528 for 0000:01:05.0 on minor 0

Comment 38 mailboost 2012-05-25 09:00:06 UTC
Kernel-3.3.6-3.fc16.x86_64 is still buggy...

[   34.939498] ---[ end trace 983978df7e25d5e0 ]---
[   34.939508] [drm:radeon_ttm_backend_bind] *ERROR* failed to bind 2025 pages at 0x00000000
[   34.951587] radeon 0000:01:05.0: object_init failed for (8294400, 0x00000002)
[   34.956100] [drm:radeon_gem_object_create] *ERROR* Failed to allocate GEM object (8294400, 2, 4096, -22)
[   34.988672] ------------[ cut here ]------------
[   34.988720] WARNING: at drivers/gpu/drm/radeon/radeon_gart.c:184 radeon_gart_bind+0xd8/0xe0 [radeon]()
[   34.988722] Hardware name: Aspire M5100
[   34.988724] trying to bind memory to uninitialized GART !
[   34.988725] Modules linked in: be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 mdio ib_iser rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core fcoe libfcoe libfc ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_fc scsi_transport_iscsi 8021q garp stp llc scsi_tgt snd_hda_codec_hdmi snd_hda_codec_realtek gspca_sn9c20x gspca_main snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm videodev snd_timer media snd sky2 edac_core sp5100_tco ppdev parport_pc soundcore edac_mce_amd usblp k8temp parport snd_page_alloc i2c_piix4 shpchp serio_raw uinput firewire_ohci ata_generic firewire_core pata_acpi crc_itu_t pata_atiixp radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
[   34.988758] Pid: 212, comm: plymouthd Tainted: G        W    3.3.6-3.fc16.x86_64 #1
[   34.988759] Call Trace:
[   34.988768]  [<ffffffff81057abf>] warn_slowpath_common+0x7f/0xc0
[   34.988771]  [<ffffffff81057bb6>] warn_slowpath_fmt+0x46/0x50
[   34.988784]  [<ffffffffa00b6cb8>] radeon_gart_bind+0xd8/0xe0 [radeon]
[   34.988795]  [<ffffffffa00b4867>] radeon_ttm_backend_bind+0x37/0xa0 [radeon]
[   34.988805]  [<ffffffffa0071e1f>] ttm_tt_bind+0x4f/0x70 [ttm]
[   34.988810]  [<ffffffffa007419f>] ttm_bo_handle_move_mem+0x5bf/0x670 [ttm]
[   34.988815]  [<ffffffffa0075242>] ttm_bo_move_buffer+0x132/0x140 [ttm]
[   34.988833]  [<ffffffffa002741f>] ? drm_mm_insert_helper+0x11f/0x130 [drm]
[   34.988839]  [<ffffffffa00752e4>] ttm_bo_validate+0x94/0x110 [ttm]
[   34.988844]  [<ffffffffa0075670>] ttm_bo_init+0x310/0x3b0 [ttm]
[   34.988856]  [<ffffffffa00b58d4>] radeon_bo_create+0x194/0x2c0 [radeon]
[   34.988868]  [<ffffffffa00b55e0>] ? radeon_bo_clear_va+0x80/0x80 [radeon]
[   34.988882]  [<ffffffffa00c6eda>] radeon_gem_object_create+0x5a/0xf0 [radeon]
[   34.988895]  [<ffffffffa00c7334>] radeon_gem_create_ioctl+0x54/0xf0 [radeon]
[   34.988903]  [<ffffffffa001c464>] drm_ioctl+0x444/0x510 [drm]
[   34.988917]  [<ffffffffa00c72e0>] ? radeon_gem_pwrite_ioctl+0x30/0x30 [radeon]
[   34.988921]  [<ffffffff8126c0e0>] ? inode_has_perm+0x30/0x40
[   34.988924]  [<ffffffff8126f37c>] ? file_has_perm+0xdc/0xf0
[   34.988927]  [<ffffffff81193138>] do_vfs_ioctl+0x98/0x550
[   34.988930]  [<ffffffff81193681>] sys_ioctl+0x91/0xa0
[   34.988933]  [<ffffffff815fc4e9>] system_call_fastpath+0x16/0x1b
[   34.988935] ---[ end trace 983978df7e25d5e1 ]---

Comment 39 Ben Greear 2012-06-01 22:46:10 UTC
I just saw this on the latest Ubuntu 12.04 kernel (3.2.18+, re-built it today).
At the least, it seems this should be a WARN_ONCE so it doesn't spam the logs so bad.

Comment 40 Jérôme Glisse 2012-06-04 14:41:05 UTC
It should not happen in the first place so no, warning as it does right now is fine. I just don't have any idea on why it happens, beside so lockup happening but nobody have been able to provide me usefull informations.

Comment 41 Ben Greear 2012-06-04 16:13:22 UTC
The warning log spam is currently worse than the bug on my system.  The dmesg
adn similar logs are completely filled with repeated warnings, leaving no useful
debug info..and the system runs very slow until the messages finally stop.

If you don't know what causes it, and the extra warning messages do not give
you any additional information, please use a warn-once so at least the symptoms
are not so bad.  There is no excuse I can think of to do otherwise.

Comment 42 Jérôme Glisse 2012-06-04 20:12:29 UTC
No. The warning is usefull, it gives call stack. Point is this warning should never happen and when it does it should happen only once and not recur. If i switch to warn once i can't see that it recur.

Comment 43 Ben Greear 2012-06-04 20:15:56 UTC
Ok, that's your call.  I have a laptop that reproduces this problem every time
I boot (on a customized 12.04 live-cd image).  I haven't tried on a recent
Fedora, but can do so.  If you have any patches you'd like me to test, please let me know.  In the meantime, I'll add my warn-once and similar hacks for other
kernel message spam to my ubuntu kernel so at least the
thing will boot w/out taking forever and spamming the logs.

Comment 44 Jérôme Glisse 2012-06-04 21:20:18 UTC
What is your exact hw ?

Comment 45 Ben Greear 2012-06-04 21:24:23 UTC
Lenovo T60
ATI Radeon Mobility X1400 according to lspci.

I don't recall problems booting older Fedora releases, like Fedora 15, but haven't
upgraded it to later kernels yet (aside from testing the Ubuntu live-cd, which shows the problem).

The Ubuntu 12.04 live-cd is using a somewhat hacked 3.2.0-25 kernel.

Comment 46 Tomi Salmi 2012-06-05 11:02:00 UTC
I am also experiencing this same issue on a specific hardware platform. All kernel versions after 3.1.0 result in the errors listed above.

It appears the ATI gpu is the problem. In my case, it's a x1200 RS690.

Comment 47 mailboost 2012-06-05 15:08:21 UTC
(In reply to comment #46)
> I am also experiencing this same issue on a specific hardware platform. All
> kernel versions after 3.1.0 result in the errors listed above.
> 
> It appears the ATI gpu is the problem. In my case, it's a x1200 RS690.

Thanks God I'm not alone! 
As mentioned above my last working kernel is 3.1.9. 
Do you have tried some kernel from 3.1.0 to 3.1.9? Or you just upgrade from 3.1.x series to 3.2.x series?
For me all kernels > 3.2.0 are buggy, and I read about an Ati code clean-up in the changelogs of 3.2.0 kernels (maybe it can help finding the bug).
Now I've upgraded my distro to F17 and Gnome shell starts in normal mode (but is slower because there's still no hardware acceleration).

Comment 48 Tomi Salmi 2012-06-05 15:26:09 UTC
I went straight from 3.1.0-7 to 3.2.x. I am working on a Spacewalk based Fedora 16 roll-out project, but this bug basically forces me to exclude the updates repository from the kickstart installation, as only the kernel in the base repo works. Unfortunately, I have got quite an amount of these systems... however, that is another story.

The Ati code clean-up does sound like a logical place to start troubleshooting, but I am not an expert on the subject.

Comment 49 Tomi Salmi 2012-06-05 15:28:37 UTC
I would be glad to provide dumps/logs, if required.

Comment 50 Jérôme Glisse 2012-06-05 15:37:46 UTC
The only i could fix is by being able to reproduce localy.

Comment 51 mailboost 2012-06-05 17:28:46 UTC
(In reply to comment #50)
> The only i could fix is by being able to reproduce localy.

As mentioned above, maybe the code was cleaned too much erasing some lines that are needed for older hardware like ATI X1200 to work fine.
I'm not an expert but I guess...
Why don't you look in the code of ATI driver? Maybe the differences between 3.1.9 (the latest working kernel) and 3.2.0 (the first buggy kernel) can help you find the solution.

Comment 52 mailboost 2012-06-05 17:40:21 UTC
(In reply to comment #48)
> I went straight from 3.1.0-7 to 3.2.x. I am working on a Spacewalk based
> Fedora 16 roll-out project, but this bug basically forces me to exclude the
> updates repository from the kickstart installation, as only the kernel in
> the base repo works. Unfortunately, I have got quite an amount of these
> systems... however, that is another story.
> 
> The Ati code clean-up does sound like a logical place to start
> troubleshooting, but I am not an expert on the subject.

You can however update your fedora. If you boot with the working kernel it would be keep safe even if you're updgrading to a newer one.

Comment 53 Jérôme Glisse 2012-06-05 18:17:57 UTC
The changelog doesn't mean much, the same changelog could be written for all newer kernel.

Comment 54 Jérôme Glisse 2012-06-06 19:49:29 UTC
Ok we might have a theory here, are all of the RS690 people have sideport memory (should show as an option in your bios and probably advertised somehow in marketing description of your hw). If so we will need someone to bisect linux kernel. Something like :

git bisect start v3.1 v3.1 drivers/gpu/drm/radeon drivers/gpu/drm/ttm
Then you build/install/test kernel, for good kernel you type
git bisect good
For bad you type:
git bisect bad

And build/install/test kernel after each git bisect command.

Comment 55 Dave Airlie 2012-06-06 20:21:48 UTC
I've posted a possible fix upstream, if someone can test against an upstream build.
http://thread.gmane.org/gmane.comp.video.dri.devel/70072

I'm going to kick off a scratch 3.4.1-1.fc17 kernel build in koji now as well

http://koji.fedoraproject.org/koji/taskinfo?taskID=4133636 when it infished.

Comment 56 Tomi Salmi 2012-06-07 10:36:54 UTC
(In reply to comment #54)
> Ok we might have a theory here, are all of the RS690 people have sideport
> memory (should show as an option in your bios and probably advertised
> somehow in marketing description of your hw).

This I can confirm. The memory allocation option is present in the bios of my RS690 systems.

Comment 57 mailboost 2012-06-07 16:38:33 UTC
(In reply to comment #55)
> I've posted a possible fix upstream, if someone can test against an upstream
> build.
> http://thread.gmane.org/gmane.comp.video.dri.devel/70072
> 
> I'm going to kick off a scratch 3.4.1-1.fc17 kernel build in koji now as well
> 
> http://koji.fedoraproject.org/koji/taskinfo?taskID=4133636 when it infished.

Just downloaded and installed the kernel-3.4.1-1.fc17.rpm from the link above and... the bug still exists! Same issues!

Comment 58 mailboost 2012-06-07 17:44:52 UTC
(In reply to comment #54)
> Ok we might have a theory here, are all of the RS690 people have sideport
> memory (should show as an option in your bios and probably advertised
> somehow in marketing description of your hw). If so we will need someone to
> bisect linux kernel. Something like :
> 
> git bisect start v3.1 v3.1 drivers/gpu/drm/radeon drivers/gpu/drm/ttm
> Then you build/install/test kernel, for good kernel you type
> git bisect good
> For bad you type:
> git bisect bad
> 
> And build/install/test kernel after each git bisect command.

Ok I'm not an expert. 
I've installed git. I've installed all kernel build dependences and rpmdevel. Finally I've installed the latest kernel source. When I type, in the kernel source tree, git bisect start v3.1 v3.1 drivers/gpu/drm/radeon drivers/gpu/drm/ttm
I've got this:
fatal: Not a git repository (or any of the parent directories): .git

Can you guide me step by step in doing this?

Comment 59 Jérôme Glisse 2012-06-07 17:53:12 UTC
Wont work with rpm source do :

git clone git://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git

Comment 60 mailboost 2012-06-08 15:32:41 UTC
(In reply to comment #59)
> Wont work with rpm source do :
> 
> git clone git://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git

the output of:
git bisect start v3.1 v3.1 drivers/gpu/drm/radeon drivers/gpu/drm/ttm 
is:
c3b92c8787367a8bb53d57d9789b558f1295cc96 was both good and bad

Do I have to compile this kernel now?

Comment 61 Jérôme Glisse 2012-06-11 15:16:28 UTC
Sorry the command should have read
git bisect start v3.2 v3.1 drivers/gpu/drm/radeon drivers/gpu/drm/ttm

Comment 62 mailboost 2012-06-12 12:59:17 UTC
(In reply to comment #61)
> Sorry the command should have read
> git bisect start v3.2 v3.1 drivers/gpu/drm/radeon drivers/gpu/drm/ttm

I've done until I found a working one. 
First bad kernel had the same behaviour the newest ones (flood of warning/errors that spams the log).

Second and third bad kernels don't have the log spammed by messages but hardware acceleration was disabled due to "ring test failed" "cp isn't working" and similar errors (I you want I can post the full dmesg of that kernels).

Fourth kernel was the right one. All works fine and when I typed 

git bisect good

I got:

Bisecting: 2 revisions left to test after this (roughly 2 steps)
[d0d0a225e6ad43314c9aa7ea081f76adc5098ad4] drm/radeon/kms: handle !force case in connector detect more gracefully

What I have to do now?
Should I have to continue in compiling/testing?

Comment 63 mailboost 2012-06-12 13:20:54 UTC
Here's the output of git bisect log:

# bad: [805a6af8dba5dfdd35ec35dc52ec0122400b2610] Linux 3.2
# good: [c3b92c8787367a8bb53d57d9789b558f1295cc96] Linux 3.1
git bisect start 'v3.2' 'v3.1' 'drivers/gpu/drm/radeon' 'drivers/gpu/drm/ttm'
# bad: [54bd5206bf1615eadee5b87c64252c6991d737dc] drm/radeon/kms: use defined constants for crtc/hpd count instead of hard-coded value 6
git bisect bad 54bd5206bf1615eadee5b87c64252c6991d737dc
# bad: [6018faf58da5be0f0307b7bd2af113b9a60b7a7e] drm/radeon/kms: demystify evergreen blit code
git bisect bad 6018faf58da5be0f0307b7bd2af113b9a60b7a7e
# bad: [cd54033ae9dabad389c09e0f338e9d8c1465827f] drm/radeon: allow pcie gen2 speed on NI
git bisect bad cd54033ae9dabad389c09e0f338e9d8c1465827f
# good: [4d798937889706629ceb2019a844cf81e598312b] ttm: export ttm_bo_create
git bisect good 4d798937889706629ceb2019a844cf81e598312b


Let me know what to do.

Comment 64 Dave Jones 2012-06-12 22:15:54 UTC
keep going! git bisect should have told you 'Bisecting: 2 revisions left to test after this (roughly 2 steps)'

When you've finished, it will say 'First bad commit is...'

Comment 65 mailboost 2012-06-13 12:33:25 UTC
(In reply to comment #64)
> keep going! git bisect should have told you 'Bisecting: 2 revisions left to
> test after this (roughly 2 steps)'
> 
> When you've finished, it will say 'First bad commit is...'

Here's the final output:

005a83f1412f4405694d08e95836bbdd88ea0109 is the first bad commit
commit 005a83f1412f4405694d08e95836bbdd88ea0109
Author: Alex Deucher <alexander.deucher@amd.com>
Date:   Wed Oct 5 10:02:57 2011 -0400

    drm/radeon/kms: set DMA mask properly on newer PCI asics
    
    If a card wasn't PCIE, we always set the DMA mask to 32 bits.
    This is only applies to the old rage128/r1xx gart block on
    early radeon asics (~r1xx-r4xx).  Newer PCI and IGP cards
    can handle 40 bits just fine.
    
    Signed-off-by: Alex Deucher <alexander.deucher@amd.com>
    Cc: Chen Jie <chenj@lemote.com>
    Signed-off-by: Dave Airlie <airlied@redhat.com>

:040000 040000 ab8c442a07b7664460f8134dcc7bff2d8f5d5bd0 edc46a84ffaa90a9af6ed83a73c58c38a83151ec M	drivers

Here's the log:

# bad: [805a6af8dba5dfdd35ec35dc52ec0122400b2610] Linux 3.2
# good: [c3b92c8787367a8bb53d57d9789b558f1295cc96] Linux 3.1
git bisect start 'v3.2' 'v3.1' 'drivers/gpu/drm/radeon' 'drivers/gpu/drm/ttm'
# bad: [54bd5206bf1615eadee5b87c64252c6991d737dc] drm/radeon/kms: use defined constants for crtc/hpd count instead of hard-coded value 6
git bisect bad 54bd5206bf1615eadee5b87c64252c6991d737dc
# bad: [6018faf58da5be0f0307b7bd2af113b9a60b7a7e] drm/radeon/kms: demystify evergreen blit code
git bisect bad 6018faf58da5be0f0307b7bd2af113b9a60b7a7e
# bad: [cd54033ae9dabad389c09e0f338e9d8c1465827f] drm/radeon: allow pcie gen2 speed on NI
git bisect bad cd54033ae9dabad389c09e0f338e9d8c1465827f
# good: [4d798937889706629ceb2019a844cf81e598312b] ttm: export ttm_bo_create
git bisect good 4d798937889706629ceb2019a844cf81e598312b
# good: [d0d0a225e6ad43314c9aa7ea081f76adc5098ad4] drm/radeon/kms: handle !force case in connector detect more gracefully
git bisect good d0d0a225e6ad43314c9aa7ea081f76adc5098ad4
# bad: [005a83f1412f4405694d08e95836bbdd88ea0109] drm/radeon/kms: set DMA mask properly on newer PCI asics
git bisect bad 005a83f1412f4405694d08e95836bbdd88ea0109
# good: [c245cb9e15055ed5dcf7eaf29232badb0059fdc1] DRM: bug: RADEON_DEBUGFS_MAX_{NUM_FILES => COMPONENTS}
git bisect good c245cb9e15055ed5dcf7eaf29232badb0059fdc1

Hope this helps. If I can do something to help let me know!

Comment 66 mailboost 2012-06-18 18:12:27 UTC
Just let you know that the new kernel 3.4.2-4.fc17.x86_64 is still buggy. Here's the trace:

[   24.929071] ------------[ cut here ]------------
[   24.929125] WARNING: at drivers/gpu/drm/radeon/radeon_gart.c:184 radeon_gart_bind+0xea/0x100 [radeon]()
[   24.929127] Hardware name: Aspire M5100
[   24.929128] trying to bind memory to uninitialized GART !
[   24.929130] Modules linked in: 8021q garp stp llc be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi arc4 snd_hda_codec_realtek gspca_sn9c20x rt73usb rt2x00usb rt2x00lib gspca_main snd_hda_intel(+) mac80211 snd_hda_codec snd_hwdep snd_pcm videodev cfg80211 media sp5100_tco snd_page_alloc ppdev rfkill usblp snd_timer parport_pc parport snd sky2 edac_core edac_mce_amd i2c_piix4 shpchp soundcore serio_raw k8temp uinput ata_generic pata_acpi firewire_ohci firewire_core crc_itu_t pata_atiixp radeon i2c_algo_bit drm_kms_helper ttm drm i2c_core [last unloaded: scsi_wait_scan]
[   24.929164] Pid: 194, comm: plymouthd Tainted: G        W    3.4.2-4.fc17.x86_64 #1
[   24.929167] Call Trace:
[   24.929176]  [<ffffffff8105680f>] warn_slowpath_common+0x7f/0xc0
[   24.929179]  [<ffffffff81056906>] warn_slowpath_fmt+0x46/0x50
[   24.929192]  [<ffffffffa00a657a>] radeon_gart_bind+0xea/0x100 [radeon]
[   24.929204]  [<ffffffffa00a3887>] radeon_ttm_backend_bind+0x37/0xa0 [radeon]
[   24.929213]  [<ffffffffa0060d9f>] ttm_tt_bind+0x4f/0x70 [ttm]
[   24.929219]  [<ffffffffa00630f7>] ttm_bo_handle_move_mem+0x4f7/0x580 [ttm]
[   24.929224]  [<ffffffffa0064092>] ttm_bo_move_buffer+0x132/0x140 [ttm]
[   24.929243]  [<ffffffffa00201fe>] ? drm_mm_insert_helper+0x11e/0x130 [drm]
[   24.929248]  [<ffffffffa006413d>] ttm_bo_validate+0x9d/0x120 [ttm]
[   24.929254]  [<ffffffffa00644bf>] ttm_bo_init+0x2ff/0x3c0 [ttm]
[   24.929267]  [<ffffffffa00a50d9>] radeon_bo_create+0x199/0x2a0 [radeon]
[   24.929279]  [<ffffffffa00a4dd0>] ? radeon_bo_clear_va+0x80/0x80 [radeon]
[   24.929283]  [<ffffffff8157e392>] ? unix_stream_sendmsg+0x2c2/0x440
[   24.929299]  [<ffffffffa00b67aa>] radeon_gem_object_create+0x5a/0xf0 [radeon]
[   24.929313]  [<ffffffffa00b6b63>] radeon_gem_create_ioctl+0x53/0xe0 [radeon]
[   24.929320]  [<ffffffffa0015483>] drm_ioctl+0x4d3/0x580 [drm]
[   24.929325]  [<ffffffff8107c2fa>] ? hrtimer_try_to_cancel+0x4a/0xd0
[   24.929340]  [<ffffffffa00b6b10>] ? radeon_gem_pwrite_ioctl+0x30/0x30 [radeon]
[   24.929343]  [<ffffffff815eea3b>] ? schedule_hrtimeout_range_clock+0xcb/0x170
[   24.929347]  [<ffffffff8118ea89>] do_vfs_ioctl+0x99/0x580
[   24.929349]  [<ffffffff8118f009>] sys_ioctl+0x99/0xa0
[   24.929352]  [<ffffffff815f88e9>] system_call_fastpath+0x16/0x1b
[   24.929354] ---[ end trace c89487c964a351fd ]---
[   24.929357] [drm:radeon_ttm_backend_bind] *ERROR* failed to bind 2025 pages at 0x00000000
[   24.934764] radeon 0000:01:05.0: object_init failed for (8294400, 0x00000002)
[   24.939322] [drm:radeon_gem_object_create] *ERROR* Failed to allocate GEM object (8294400, 2, 4096, -22)
[   24.979113] ------------[ cut here ]------------

Comment 67 mailboost 2012-06-21 11:19:25 UTC
The newer kernel-3.4.3-1.fc17.x86_64 is still buggy. Here's the trace:

[   23.392868] ---[ end trace cba8e8e353a73c4d ]---
[   23.392872] [drm:radeon_ttm_backend_bind] *ERROR* failed to bind 2025 pages at 0x00000000
[   23.398503] radeon 0000:01:05.0: object_init failed for (8294400, 0x00000002)
[   23.403393] [drm:radeon_gem_object_create] *ERROR* Failed to allocate GEM object (8294400, 2, 4096, -22)
[   23.438954] ------------[ cut here ]------------
[   23.439009] WARNING: at drivers/gpu/drm/radeon/radeon_gart.c:184 radeon_gart_bind+0xea/0x100 [radeon]()
[   23.439058] Hardware name: Aspire M5100
[   23.439060] trying to bind memory to uninitialized GART !
[   23.439062] Modules linked in: garp stp llc ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad snd_hda_codec_hdmi ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi arc4 rt73usb rt2x00usb rt2x00lib mac80211 gspca_sn9c20x gspca_main videodev media snd_hda_codec_realtek cfg80211 rfkill snd_hda_intel snd_hda_codec snd_hwdep snd_pcm snd_page_alloc edac_core sp5100_tco ppdev edac_mce_amd sky2 k8temp i2c_piix4 snd_timer snd soundcore parport_pc shpchp parport serio_raw uinput ata_generic pata_acpi firewire_ohci firewire_core crc_itu_t pata_atiixp usb_storage radeon i2c_algo_bit drm_kms_helper ttm drm i2c_core [last unloaded: scsi_wait_scan]
[   23.439108] Pid: 194, comm: plymouthd Tainted: G        W    3.4.3-1.fc17.x86_64 #1
[   23.439111] Call Trace:
[   23.439122]  [<ffffffff8105681f>] warn_slowpath_common+0x7f/0xc0
[   23.439126]  [<ffffffff81056916>] warn_slowpath_fmt+0x46/0x50
[   23.439148]  [<ffffffffa00a657a>] radeon_gart_bind+0xea/0x100 [radeon]
[   23.439168]  [<ffffffffa00a3887>] radeon_ttm_backend_bind+0x37/0xa0 [radeon]
[   23.439187]  [<ffffffffa0060d9f>] ttm_tt_bind+0x4f/0x70 [ttm]
[   23.439199]  [<ffffffffa00630f7>] ttm_bo_handle_move_mem+0x4f7/0x580 [ttm]
[   23.439212]  [<ffffffffa0064092>] ttm_bo_move_buffer+0x132/0x140 [ttm]
[   23.439240]  [<ffffffffa00201fe>] ? drm_mm_insert_helper+0x11e/0x130 [drm]
[   23.439254]  [<ffffffffa006413d>] ttm_bo_validate+0x9d/0x120 [ttm]
[   23.439266]  [<ffffffffa00644d1>] ttm_bo_init+0x311/0x3e0 [ttm]
[   23.439293]  [<ffffffffa00a50d9>] radeon_bo_create+0x199/0x2a0 [radeon]
[   23.439318]  [<ffffffffa00a4dd0>] ? radeon_bo_clear_va+0x80/0x80 [radeon]
[   23.439346]  [<ffffffffa00b67aa>] radeon_gem_object_create+0x5a/0xf0 [radeon]
[   23.439372]  [<ffffffffa00b6b63>] radeon_gem_create_ioctl+0x53/0xe0 [radeon]
[   23.439389]  [<ffffffffa0015483>] drm_ioctl+0x4d3/0x580 [drm]
[   23.439399]  [<ffffffff8107c30a>] ? hrtimer_try_to_cancel+0x4a/0xd0
[   23.439427]  [<ffffffffa00b6b10>] ? radeon_gem_pwrite_ioctl+0x30/0x30 [radeon]
[   23.439436]  [<ffffffff815eeabb>] ? schedule_hrtimeout_range_clock+0xcb/0x170
[   23.439446]  [<ffffffff8118eaa9>] do_vfs_ioctl+0x99/0x580
[   23.439454]  [<ffffffff8118f029>] sys_ioctl+0x99/0xa0
[   23.439462]  [<ffffffff815f8969>] system_call_fastpath+0x16/0x1b
[   23.439467] ---[ end trace cba8e8e353a73c4e ]---
[   23.439474] [drm:radeon_ttm_backend_bind] *ERROR* failed to bind 2025 pages at 0x00000000
[   23.445189] radeon 0000:01:05.0: object_init failed for (8294400, 0x00000002)
[   23.450123] [drm:radeon_gem_object_create] *ERROR* Failed to allocate GEM object (8294400, 2, 4096, -22)
[   23.487750] ------------[ cut here ]------------

Comment 68 mailboost 2012-07-02 07:05:24 UTC
Just update to kernel-3.4.4-3.fc17.x86_64 but the bug is still here. Here's the trace:

[   19.512654] ------------[ cut here ]------------
[   19.512696] WARNING: at drivers/gpu/drm/radeon/radeon_gart.c:184 radeon_gart_bind+0xea/0x100 [radeon]()
[   19.512698] Hardware name: Aspire M5100
[   19.512699] trying to bind memory to uninitialized GART !
[   19.512700] Modules linked in: arc4 rt73usb rt2x00usb rt2x00lib mac80211 cfg80211 snd_hda_codec_realtek rfkill gspca_sn9c20x gspca_main amd64_edac_mod(+) videodev media sp5100_tco usblp shpchp(+) k8temp edac_core sky2 snd_hda_intel(+) snd_hda_codec snd_hwdep snd_pcm ppdev snd_page_alloc snd_timer snd serio_raw edac_mce_amd i2c_piix4 soundcore parport_pc parport uinput ata_generic pata_acpi firewire_ohci firewire_core crc_itu_t pata_atiixp radeon i2c_algo_bit drm_kms_helper ttm drm i2c_core [last unloaded: scsi_wait_scan]
[   19.512722] Pid: 197, comm: plymouthd Tainted: G        W    3.4.4-3.fc17.x86_64 #1
[   19.512724] Call Trace:
[   19.512731]  [<ffffffff81056ebf>] warn_slowpath_common+0x7f/0xc0
[   19.512734]  [<ffffffff81056fb6>] warn_slowpath_fmt+0x46/0x50
[   19.512746]  [<ffffffffa00a657a>] radeon_gart_bind+0xea/0x100 [radeon]
[   19.512757]  [<ffffffffa00a3887>] radeon_ttm_backend_bind+0x37/0xa0 [radeon]
[   19.512765]  [<ffffffffa0060d9f>] ttm_tt_bind+0x4f/0x70 [ttm]
[   19.512770]  [<ffffffffa00630f7>] ttm_bo_handle_move_mem+0x4f7/0x580 [ttm]
[   19.512775]  [<ffffffffa0064092>] ttm_bo_move_buffer+0x132/0x140 [ttm]
[   19.512792]  [<ffffffffa00201fe>] ? drm_mm_insert_helper+0x11e/0x130 [drm]
[   19.512797]  [<ffffffffa006413d>] ttm_bo_validate+0x9d/0x120 [ttm]
[   19.512801]  [<ffffffffa00644d1>] ttm_bo_init+0x311/0x3e0 [ttm]
[   19.512814]  [<ffffffffa00a50d9>] radeon_bo_create+0x199/0x2a0 [radeon]
[   19.512826]  [<ffffffffa00a4dd0>] ? radeon_bo_clear_va+0x80/0x80 [radeon]
[   19.512840]  [<ffffffffa00b67aa>] radeon_gem_object_create+0x5a/0xf0 [radeon]
[   19.512854]  [<ffffffffa00b6b63>] radeon_gem_create_ioctl+0x53/0xe0 [radeon]
[   19.512861]  [<ffffffffa0015483>] drm_ioctl+0x4d3/0x580 [drm]
[   19.512864]  [<ffffffff8107cbea>] ? hrtimer_try_to_cancel+0x4a/0xd0
[   19.512878]  [<ffffffffa00b6b10>] ? radeon_gem_pwrite_ioctl+0x30/0x30 [radeon]
[   19.512881]  [<ffffffff815f29cb>] ? schedule_hrtimeout_range_clock+0xcb/0x170
[   19.512886]  [<ffffffff81192979>] do_vfs_ioctl+0x99/0x580
[   19.512888]  [<ffffffff81192ef9>] sys_ioctl+0x99/0xa0
[   19.512892]  [<ffffffff815fc8a9>] system_call_fastpath+0x16/0x1b
[   19.512893] ---[ end trace 0d896e1f75caa418 ]---
[   19.512896] [drm:radeon_ttm_backend_bind] *ERROR* failed to bind 2025 pages at 0x00000000
[   19.517857] radeon 0000:01:05.0: object_init failed for (8294400, 0x00000002)
[   19.522196] [drm:radeon_gem_object_create] *ERROR* Failed to allocate GEM object (8294400, 2, 4096, -22)
[   19.554500] ------------[ cut here ]------------

Comment 69 mailboost 2012-07-09 11:59:54 UTC
Any news, Jerome? What can I do to help you solve the problem?
I've noticed that there's no priority or severity assigned to this bug, Why?

Just let you know that the new kernel-3.4.4-5.fc17.x86_64 is still buggy. 
Thanks

Here's the trace:
[   24.899022] ------------[ cut here ]------------
[   24.899095] WARNING: at drivers/gpu/drm/radeon/radeon_gart.c:184 radeon_gart_bind+0xea/0x100 [radeon]()
[   24.899098] Hardware name: Aspire M5100
[   24.899100] trying to bind memory to uninitialized GART !
[   24.899102] Modules linked in: snd_hda_codec_hdmi arc4 rt73usb gspca_sn9c20x rt2x00usb gspca_main snd_hda_codec_realtek rt2x00lib videodev media mac80211 cfg80211 snd_hda_intel rfkill snd_hda_codec snd_hwdep snd_pcm usblp snd_page_alloc snd_timer vhost_net serio_raw snd soundcore tun shpchp sp5100_tco edac_core edac_mce_amd macvtap sky2 macvlan i2c_piix4 k8temp ppdev parport_pc parport kvm uinput ata_generic pata_acpi firewire_ohci firewire_core crc_itu_t usb_storage pata_atiixp radeon i2c_algo_bit drm_kms_helper ttm drm i2c_core [last unloaded: scsi_wait_scan]
[   24.899141] Pid: 200, comm: plymouthd Tainted: G        W    3.4.4-5.fc17.x86_64 #1
[   24.899144] Call Trace:
[   24.899154]  [<ffffffff81056ebf>] warn_slowpath_common+0x7f/0xc0
[   24.899159]  [<ffffffff81056fb6>] warn_slowpath_fmt+0x46/0x50
[   24.899180]  [<ffffffffa00a657a>] radeon_gart_bind+0xea/0x100 [radeon]
[   24.899199]  [<ffffffffa00a3887>] radeon_ttm_backend_bind+0x37/0xa0 [radeon]
[   24.899211]  [<ffffffffa0060d9f>] ttm_tt_bind+0x4f/0x70 [ttm]
[   24.899219]  [<ffffffffa00630f7>] ttm_bo_handle_move_mem+0x4f7/0x580 [ttm]
[   24.899228]  [<ffffffffa0064092>] ttm_bo_move_buffer+0x132/0x140 [ttm]
[   24.899257]  [<ffffffffa00201fe>] ? drm_mm_insert_helper+0x11e/0x130 [drm]
[   24.899265]  [<ffffffffa006413d>] ttm_bo_validate+0x9d/0x120 [ttm]
[   24.899273]  [<ffffffffa00644d1>] ttm_bo_init+0x311/0x3e0 [ttm]
[   24.899294]  [<ffffffffa00a50d9>] radeon_bo_create+0x199/0x2a0 [radeon]
[   24.899313]  [<ffffffffa00a4dd0>] ? radeon_bo_clear_va+0x80/0x80 [radeon]
[   24.899336]  [<ffffffffa00b67aa>] radeon_gem_object_create+0x5a/0xf0 [radeon]
[   24.899358]  [<ffffffffa00b6b63>] radeon_gem_create_ioctl+0x53/0xe0 [radeon]
[   24.899365]  [<ffffffff81084083>] ? __wake_up+0x53/0x70
[   24.899376]  [<ffffffffa0015483>] drm_ioctl+0x4d3/0x580 [drm]
[   24.899382]  [<ffffffff8136e3de>] ? tty_ldisc_deref+0xe/0x10
[   24.899406]  [<ffffffffa00b6b10>] ? radeon_gem_pwrite_ioctl+0x30/0x30 [radeon]
[   24.899412]  [<ffffffff811c33a0>] ? ep_ptable_queue_proc+0xb0/0xb0
[   24.899418]  [<ffffffff81192979>] do_vfs_ioctl+0x99/0x580
[   24.899422]  [<ffffffff81192ef9>] sys_ioctl+0x99/0xa0
[   24.899428]  [<ffffffff815f5a0e>] ? do_device_not_available+0xe/0x10
[   24.899433]  [<ffffffff815fc9a9>] system_call_fastpath+0x16/0x1b
[   24.899436] ---[ end trace 6ef73fdc5e700cfa ]---
[   24.899440] [drm:radeon_ttm_backend_bind] *ERROR* failed to bind 2025 pages at 0x00000000
[   24.905245] radeon 0000:01:05.0: object_init failed for (8294400, 0x00000002)
[   24.910307] [drm:radeon_gem_object_create] *ERROR* Failed to allocate GEM object (8294400, 2, 4096, -22)

Comment 70 mailboost 2012-07-20 11:30:24 UTC
Kernel-3.4.5-2.fc17.x86_64 is still buggy. Here's the trace:

[   28.389526] ------------[ cut here ]------------
[   28.389578] WARNING: at drivers/gpu/drm/radeon/radeon_gart.c:184 radeon_gart_bind+0xea/0x100 [radeon]()
[   28.389580] Hardware name: Aspire M5100
[   28.389581] trying to bind memory to uninitialized GART !
[   28.389582] Modules linked in: ip6table_filter ip6_tables ebtable_nat ebtables be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i lockd cxgb3 sunrpc mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm tpm_bios ib_cm 8021q garp ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi ipt_MASQUERADE iptable_nat nf_nat nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack xt_CHECKSUM iptable_mangle bridge stp llc snd_hda_codec_hdmi arc4 rt73usb rt2x00usb rt2x00lib mac80211 cfg80211 gspca_sn9c20x rfkill gspca_main videodev media snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_pcm snd_page_alloc snd_timer snd soundcore serio_raw edac_core shpchp sp5100_tco edac_mce_amd sky2 i2c_piix4 k8temp ppdev parport_pc parport vhost_net tun macvtap macvlan kvm uinput ata_generic pata_acpi firewire_ohci firewire_core crc_itu_t pata_atiixp radeon i2c_algo_bit drm_kms_helper ttm drm i2c_core [last unloaded: scsi_wait_scan]
[   28.389622] Pid: 201, comm: plymouthd Tainted: G        W    3.4.5-2.fc17.x86_64 #1
[   28.389624] Call Trace:
[   28.389631]  [<ffffffff81056ecf>] warn_slowpath_common+0x7f/0xc0
[   28.389634]  [<ffffffff81056fc6>] warn_slowpath_fmt+0x46/0x50
[   28.389647]  [<ffffffffa00a657a>] radeon_gart_bind+0xea/0x100 [radeon]
[   28.389660]  [<ffffffffa00a3887>] radeon_ttm_backend_bind+0x37/0xa0 [radeon]
[   28.389670]  [<ffffffffa0060d9f>] ttm_tt_bind+0x4f/0x70 [ttm]
[   28.389675]  [<ffffffffa00630f7>] ttm_bo_handle_move_mem+0x4f7/0x580 [ttm]
[   28.389681]  [<ffffffffa0064092>] ttm_bo_move_buffer+0x132/0x140 [ttm]
[   28.389700]  [<ffffffffa00201fe>] ? drm_mm_insert_helper+0x11e/0x130 [drm]
[   28.389706]  [<ffffffffa006413d>] ttm_bo_validate+0x9d/0x120 [ttm]
[   28.389712]  [<ffffffffa00644d1>] ttm_bo_init+0x311/0x3e0 [ttm]
[   28.389726]  [<ffffffffa00a50d9>] radeon_bo_create+0x199/0x2a0 [radeon]
[   28.389739]  [<ffffffffa00a4dd0>] ? radeon_bo_clear_va+0x80/0x80 [radeon]
[   28.389754]  [<ffffffffa00b67ba>] radeon_gem_object_create+0x5a/0xf0 [radeon]
[   28.389768]  [<ffffffffa00b6b73>] radeon_gem_create_ioctl+0x53/0xe0 [radeon]
[   28.389777]  [<ffffffffa0015483>] drm_ioctl+0x4d3/0x580 [drm]
[   28.389779]  [<ffffffff8107cbfa>] ? hrtimer_try_to_cancel+0x4a/0xd0
[   28.389795]  [<ffffffffa00b6b20>] ? radeon_gem_pwrite_ioctl+0x30/0x30 [radeon]
[   28.389799]  [<ffffffff815f2bcb>] ? schedule_hrtimeout_range_clock+0xcb/0x170
[   28.389803]  [<ffffffff81192a39>] do_vfs_ioctl+0x99/0x580
[   28.389805]  [<ffffffff81192fb9>] sys_ioctl+0x99/0xa0
[   28.389808]  [<ffffffff815fcaa9>] system_call_fastpath+0x16/0x1b
[   28.389810] ---[ end trace 2a4449d17c83f926 ]---
[   28.389813] [drm:radeon_ttm_backend_bind] *ERROR* failed to bind 2025 pages at 0x00000000
[   28.395167] radeon 0000:01:05.0: object_init failed for (8294400, 0x00000002)
[   28.399834] [drm:radeon_gem_object_create] *ERROR* Failed to allocate GEM object (8294400, 2, 4096, -22)

Comment 71 mailboost 2012-08-06 08:43:08 UTC
Kernel-3.5.0-2.fc17 is bugg as always. 

Here's the trace (useless... of course):

[   25.577407] [drm:radeon_ttm_backend_bind] *ERROR* failed to bind 2025 pages at 0x00000000
[   25.582748] radeon 0000:01:05.0: object_init failed for (8294400, 0x00000002)
[   25.587436] [drm:radeon_gem_object_create] *ERROR* Failed to allocate GEM object (8294400, 2, 4096, -22)
[   25.620970] ------------[ cut here ]------------
[   25.621009] WARNING: at drivers/gpu/drm/radeon/radeon_gart.c:184 radeon_gart_bind+0xea/0x100 [radeon]()
[   25.621063] Hardware name: Aspire M5100
[   25.621069] trying to bind memory to uninitialized GART !
[   25.621070] Modules linked in: ip6table_filter ip6_tables ebtable_nat ebtables snd_hda_codec_hdmi ipt_MASQUERADE iptable_nat nf_nat nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack be2iscsi iscsi_boot_sysfs bnx2i cnic uio xt_CHECKSUM cxgb4i iptable_mangle cxgb4 cxgb3i cxgb3 mdio libcxgbi lockd 8021q garp ib_iser sunrpc rdma_cm bridge ib_addr stp llc iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi tpm_bios arc4 snd_hda_codec_realtek rt73usb rt2x00usb rt2x00lib snd_hda_intel mac80211 snd_hda_codec gspca_sn9c20x snd_hwdep cfg80211 snd_pcm gspca_main videodev rfkill snd_page_alloc snd_timer media edac_core snd ppdev sp5100_tco edac_mce_amd shpchp serio_raw i2c_piix4 soundcore k8temp parport_pc sky2 parport vhost_net tun macvtap macvlan kvm uinput ata_generic pata_acpi firewire_ohci firewire_core crc_itu_t pata_atiixp radeon i2c_algo_bit drm_kms_helper ttm drm i2c_core [last unloaded: scsi_wait_scan]
[   25.621106] Pid: 196, comm: plymouthd Tainted: G        W    3.5.0-2.fc17.x86_64 #1
[   25.621108] Call Trace:
[   25.621116]  [<ffffffff8105815f>] warn_slowpath_common+0x7f/0xc0
[   25.621119]  [<ffffffff81058256>] warn_slowpath_fmt+0x46/0x50
[   25.621132]  [<ffffffffa00aaaba>] radeon_gart_bind+0xea/0x100 [radeon]
[   25.621145]  [<ffffffffa00a7de7>] radeon_ttm_backend_bind+0x37/0xa0 [radeon]
[   25.621154]  [<ffffffffa0064d9f>] ttm_tt_bind+0x4f/0x70 [ttm]
[   25.621159]  [<ffffffffa0067147>] ttm_bo_handle_move_mem+0x4f7/0x580 [ttm]
[   25.621165]  [<ffffffffa00680e2>] ttm_bo_move_buffer+0x132/0x140 [ttm]
[   25.621185]  [<ffffffffa00202fe>] ? drm_mm_insert_helper+0x11e/0x130 [drm]
[   25.621191]  [<ffffffffa006818d>] ttm_bo_validate+0x9d/0x120 [ttm]
[   25.621207]  [<ffffffffa0068521>] ttm_bo_init+0x311/0x3e0 [ttm]
[   25.621224]  [<ffffffffa00a9606>] radeon_bo_create+0x1b6/0x2c0 [radeon]
[   25.621237]  [<ffffffffa00a92e0>] ? radeon_bo_clear_va+0x80/0x80 [radeon]
[   25.621252]  [<ffffffffa00bb391>] radeon_gem_object_create+0x61/0x100 [radeon]
[   25.621256]  [<ffffffff810921de>] ? dequeue_entity+0xae/0x200
[   25.621270]  [<ffffffffa00bb75e>] radeon_gem_create_ioctl+0x5e/0xf0 [radeon]
[   25.621278]  [<ffffffffa00154f3>] drm_ioctl+0x4d3/0x580 [drm]
[   25.621281]  [<ffffffff8107f40a>] ? hrtimer_try_to_cancel+0x4a/0xd0
[   25.621296]  [<ffffffffa00bb700>] ? radeon_gem_pwrite_ioctl+0x30/0x30 [radeon]
[   25.621300]  [<ffffffff81605c8b>] ? schedule_hrtimeout_range_clock+0xcb/0x170
[   25.621302]  [<ffffffff8107ef20>] ? update_rmtp+0x70/0x70
[   25.621304]  [<ffffffff81196599>] do_vfs_ioctl+0x99/0x580
[   25.621307]  [<ffffffff81275eea>] ? inode_has_perm.isra.31.constprop.61+0x2a/0x30
[   25.621309]  [<ffffffff812774c7>] ? file_has_perm+0x97/0xb0
[   25.621311]  [<ffffffff81196b19>] sys_ioctl+0x99/0xa0
[   25.621314]  [<ffffffff81608bee>] ? do_device_not_available+0xe/0x10
[   25.621318]  [<ffffffff8160fc29>] system_call_fastpath+0x16/0x1b
[   25.621319] ---[ end trace 822c17c398ae37bc ]---

Comment 72 Tomi Salmi 2012-08-09 09:02:55 UTC
Should this not be possible to fix now, as the commit that broke is found?

(In reply to comment #65)
> (In reply to comment #64)
> > keep going! git bisect should have told you 'Bisecting: 2 revisions left to
> > test after this (roughly 2 steps)'
> > 
> > When you've finished, it will say 'First bad commit is...'
> 
> Here's the final output:
> 
> 005a83f1412f4405694d08e95836bbdd88ea0109 is the first bad commit
> commit 005a83f1412f4405694d08e95836bbdd88ea0109
> Author: Alex Deucher <alexander.deucher@amd.com>
> Date:   Wed Oct 5 10:02:57 2011 -0400
> 
>     drm/radeon/kms: set DMA mask properly on newer PCI asics
>     
>     If a card wasn't PCIE, we always set the DMA mask to 32 bits.
>     This is only applies to the old rage128/r1xx gart block on
>     early radeon asics (~r1xx-r4xx).  Newer PCI and IGP cards
>     can handle 40 bits just fine.
>     
>     Signed-off-by: Alex Deucher <alexander.deucher@amd.com>
>     Cc: Chen Jie <chenj@lemote.com>
>     Signed-off-by: Dave Airlie <airlied@redhat.com>
> 
> :040000 040000 ab8c442a07b7664460f8134dcc7bff2d8f5d5bd0
> edc46a84ffaa90a9af6ed83a73c58c38a83151ec M	drivers
> 
> Here's the log:
> 
> # bad: [805a6af8dba5dfdd35ec35dc52ec0122400b2610] Linux 3.2
> # good: [c3b92c8787367a8bb53d57d9789b558f1295cc96] Linux 3.1
> git bisect start 'v3.2' 'v3.1' 'drivers/gpu/drm/radeon' 'drivers/gpu/drm/ttm'
> # bad: [54bd5206bf1615eadee5b87c64252c6991d737dc] drm/radeon/kms: use
> defined constants for crtc/hpd count instead of hard-coded value 6
> git bisect bad 54bd5206bf1615eadee5b87c64252c6991d737dc
> # bad: [6018faf58da5be0f0307b7bd2af113b9a60b7a7e] drm/radeon/kms: demystify
> evergreen blit code
> git bisect bad 6018faf58da5be0f0307b7bd2af113b9a60b7a7e
> # bad: [cd54033ae9dabad389c09e0f338e9d8c1465827f] drm/radeon: allow pcie
> gen2 speed on NI
> git bisect bad cd54033ae9dabad389c09e0f338e9d8c1465827f
> # good: [4d798937889706629ceb2019a844cf81e598312b] ttm: export ttm_bo_create
> git bisect good 4d798937889706629ceb2019a844cf81e598312b
> # good: [d0d0a225e6ad43314c9aa7ea081f76adc5098ad4] drm/radeon/kms: handle
> !force case in connector detect more gracefully
> git bisect good d0d0a225e6ad43314c9aa7ea081f76adc5098ad4
> # bad: [005a83f1412f4405694d08e95836bbdd88ea0109] drm/radeon/kms: set DMA
> mask properly on newer PCI asics
> git bisect bad 005a83f1412f4405694d08e95836bbdd88ea0109
> # good: [c245cb9e15055ed5dcf7eaf29232badb0059fdc1] DRM: bug:
> RADEON_DEBUGFS_MAX_{NUM_FILES => COMPONENTS}
> git bisect good c245cb9e15055ed5dcf7eaf29232badb0059fdc1
> 
> Hope this helps. If I can do something to help let me know!

Comment 73 Jérôme Glisse 2012-08-09 15:26:04 UTC
Created attachment 603278 [details]
Force dma32

Does this kernel patch help ?

Comment 74 mailboost 2012-08-20 17:21:22 UTC
Just come back from holidays...
Where do I have to test it? On a vanilla kernel or on a distro-specific kernel? Which version?

Comment 75 Jérôme Glisse 2012-08-20 18:16:18 UTC
What ever kernel you want, should apply cleanly on anything.

Comment 76 mailboost 2012-08-28 18:24:17 UTC
Created attachment 607674 [details]
Kernel compiled with proposed patch

Bingo my friend! It works! Finally I saw gnome shell after month of fallback use!
I posted the rpm if someone else would like to test (it hasn't all the modules of the generic kernel because i run out of space on the compiling process, but for testing the video hardware it should work flawlessy).
Hope it will be merged as soon as possible in the official kernel updates!
Bye

Comment 77 Tomi Salmi 2012-09-21 07:38:29 UTC
Will the fix make it to the official kernel updates? 

Good work!

> Hope it will be merged as soon as possible in the official kernel updates!
> Bye

Comment 78 Josh Boyer 2012-09-21 12:56:59 UTC
This was sent to the stable list.  It's included in 3.6-rc4 already.  I'll bring it back into the F16/F17 kernels today.

Comment 79 Josh Boyer 2012-09-21 13:09:16 UTC
Added to the F16/F17 kernels.  Will be in the next respective updates.

Comment 80 Fedora Update System 2012-09-27 16:25:10 UTC
kernel-3.5.4-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/kernel-3.5.4-2.fc17

Comment 81 Fedora Update System 2012-09-28 08:18:54 UTC
Package kernel-3.5.4-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.5.4-2.fc17'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14952/kernel-3.5.4-2.fc17
then log in and leave karma (feedback).

Comment 82 mailboost 2012-09-30 23:12:51 UTC
(In reply to comment #81)
> Package kernel-3.5.4-2.fc17:
> * should fix your issue,
> * was pushed to the Fedora 17 testing repository,
> * should be available at your local mirror within two days.
> Update it with:
> # su -c 'yum update --enablerepo=updates-testing kernel-3.5.4-2.fc17'
> as soon as you are able to, then reboot.
> Please go to the following url:
> https://admin.fedoraproject.org/updates/FEDORA-2012-14952/kernel-3.5.4-2.fc17
> then log in and leave karma (feedback).

Tested few minutes ago. All works for me. Leaved positive karma as you requested.
Thank you!

Comment 83 Fedora Update System 2012-12-20 15:52:02 UTC
kernel-3.5.4-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.